<?php
/**
 * Locale
 */
define('LOCALE_JP',  'ja_JP.UTF-8');            // Linux上(UTF-8)
define('LOCALE_EN',  'C');

/**
 * ADOdb Setting
 */
define('ADODB_DEBUG' , false);

/**
 * Mojavi Setting
 */
define('MOJAVI_ERROR_DEBUG' , false);

/**
 * Log Setting
 */
define('LOG_FILE_DELETE', true);
define('LOG_FILE_DELETE_DAY', 2);

/**
 * Nuload Setting
 */
define('NULOAD_DEBUG', true);

/**
 * DB接続設定
 */
define('SQL_TYPE' , 'postgres');
define('SQL_SERVER', 'localhost:5432');
define('SQL_USER', 'dnblog');
define('SQL_PASSWORD', 'dnblog123');
define('SQL_DATABASE', 'dnblog');

// windows / linux extension
if(!defined('NULOAD_MODULE_EXT')){
    define('NULOAD_MODULE_EXT', '');
}
// bat / sh extension
if(!defined('NULOAD_BATCH_EXT')){
    define('NULOAD_BATCH_EXT', '.sh');
}

// phppath
if(!defined('PHP_PATH')){
    define('PHP_PATH', '/usr/local/php/bin');
}
/**
 * Windowsではマルチバイト文字を含むフォーマットでの日付変換はUTF-8で動作しないため
 */
//define('STR_DATEFORMAT_CHARSET', 'SJIS');

/**
 * subdirectry
 */
if(!defined('WEB_MODULE_DIR')){
    define('WEB_MODULE_DIR', '/php/dnblog/');
}
/**
 * index.php
 */
if(!defined('WEB_MODULE_INDEX')){
    define('WEB_MODULE_INDEX', 'index.php');
}

/**
 * An absolute web path to the index.php script.
 */
if(!defined('SCRIPT_PATH')){
    define('SCRIPT_PATH',  ((isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] == 'on' ) ?
                            "https://" : "http://" )
                          .(empty($_SERVER['HTTP_HOST']) ?
                              $_SERVER['SERVER_NAME'].
                              ((isset($_SERVER['HTTPS']) && $_SERVER['SERVER_PORT'] == 443) ||
                               (!isset($_SERVER['HTTPS']) && $_SERVER['SERVER_PORT'] == 80) ? "" :
                              ":".$_SERVER['SERVER_PORT']) : $_SERVER['HTTP_HOST'])
                          . WEB_MODULE_DIR.WEB_MODULE_INDEX);
}

/**
 * URL関連
 */
define('TRACKBACK_SCRIPT_PATH', dirname(SCRIPT_PATH).'/tb.php');
define('SEARCH_SCRIPT_PATH', dirname(SCRIPT_PATH).'/search.php');
define('IMAGE_PATH', dirname(SCRIPT_PATH).'/images/');

require_once(BASE_DIR . 'config.pkg.php');
?>