//----------------------------------------
//  desknet's関連製品のリリース
//----------------------------------------
// ポータル画面の読み込みが終わったら実行
$(document).ready(function()
{

    // 接続先のURL取得
    var base_dir = $('#base_dir')[0].innerHTML;
    var base_url = base_dir + 'index.php';

    // desknet's関連製品のリリース情報URL
    var aj_url = base_url + '?module=Parts&action=ProductInfo';

    // desknet's関連製品のリリース情報取得
    $.ajax({
        url: aj_url,
        timeout: 30000 ,
        success: ok_product_info ,
        error  : ng_product_info
    });
});


// 成功：desknet's関連製品のリリース情報取得
function ok_product_info(data){
    $('#product_info').append( data );
};
// 失敗：desknet's関連製品のリリース情報取得
function ng_product_info( XMLHttpRequest, status, errorThrown ){
    // 通信エラーは何も表示しない
    // var disp_string = gf_getAjaxListErrorString( XMLHttpRequest, status);
    // $('#product_info').append( disp_string );
};
//----------------------------------------
//  絞込み解除
//----------------------------------------
function selectRecentEntryTab(page)
{
    $('#portal-content-blogs').find("div:first").remove();
    $('#portal-content-blogs').append(  '<div>' + 'ロード中' + '</div>'  );

    // 接続先のURL取得
    var base_dir = $('#base_dir')[0].innerHTML;
    var base_url = base_dir + 'index.php';

    // パラメータ情報取得
    sGid   = $("input[name='p_gid']").val();
    sUid   = $("input[name='p_uid']").val();

    // URLエンコード
    sGid = encodeURI(sGid);
    sUid = encodeURI(sUid);

    // URL確定
    var aj_url = base_url + '?module=Portal&action=RecentEntryList' + '&p_gid=' + sGid + '&p_uid=' + sUid + '&p=' + page;

    // 接続
    $.ajax({
        url: aj_url,
        timeout: 30000 ,
        success: ok_portal_content_blogs ,
        error  : ng_portal_content_blogs
    });
};
// 成功：
function ok_portal_content_blogs(data){
    $('#portal-content-blogs').find("div:first").remove();
    $('#portal-content-blogs').append(  '<div>' + data + '</div>'  );
};
// 失敗：
function ng_portal_content_blogs( XMLHttpRequest, status, errorThrown ){
    // 通信エラーは何も表示しない
    // var disp_string = gf_getAjaxListErrorString( XMLHttpRequest, status);
    // $('#portal-content-blogs').append( disp_string );
    $('#portal-content-blogs').find("div:first").remove();
    $('#portal-content-blogs').append(  '<div>' + '取得失敗' + '</div>'  );
};

//----------------------------------------
//  ディレクトリの記事
//----------------------------------------
function updateDirectoryEntryList(sDirId, page)
{
    $('#portal-content-blogs').find("div:first").remove();
    $('#portal-content-blogs').append(  '<div>' + 'ロード中' + '</div>'  );

    // 接続先のURL取得
    var base_dir = $('#base_dir')[0].innerHTML;
    var base_url = base_dir + 'index.php';

    // パラメータ情報取得
    sGid   = $("input[name='p_gid']").val();
    sUid   = $("input[name='p_uid']").val();

    // URLエンコード
    sDirId = encodeURI(sDirId);
    sGid = encodeURI(sGid);
    sUid = encodeURI(sUid);

    // URL確定
    var aj_url = base_url + '?module=Portal&action=DirectoryEntryList&directory=' + sDirId + '&p_gid=' + sGid + '&p_uid=' + sUid + '&p=' + page;

    // 接続
    $.ajax({
        url: aj_url,
        timeout: 30000 ,
        success: ok_portal_content_blogs_directory ,
        error  : ng_portal_content_blogs_directory
    });
};
// 成功：
function ok_portal_content_blogs_directory(data){
    $('#portal-content-blogs').find("div:first").remove();
    $('#portal-content-blogs').append(  '<div>' + data + '</div>'  );
};
// 失敗：
function ng_portal_content_blogs_directory( XMLHttpRequest, status, errorThrown ){
    // 通信エラーは何も表示しない
    // var disp_string = gf_getAjaxListErrorString( XMLHttpRequest, status);
    // $('#portal-content-blogs').append( disp_string );
    $('#portal-content-blogs').find("div:first").remove();
    $('#portal-content-blogs').append(  '<div>' + '取得失敗' + '</div>'  );
};

//----------------------------------------
//  キーワードの記事
//----------------------------------------
function updateKeywordEntryList(sKeyword, page)
{
    $('#portal-content-blogs').find("div:first").remove();
    $('#portal-content-blogs').append(  '<div>' + 'ロード中' + '</div>'  );

    // 接続先のURL取得
    var base_dir = $('#base_dir')[0].innerHTML;
    var base_url = base_dir + 'index.php';

    // パラメータ情報取得
    sGid   = $("input[name='p_gid']").val();
    sUid   = $("input[name='p_uid']").val();

    // URLエンコード
    sKeyword = encodeURI(sKeyword);
    sGid = encodeURI(sGid);
    sUid = encodeURI(sUid);

    // URL確定
    var aj_url = base_url + '?module=Portal&action=KeywordEntryList&keyword=' + sKeyword + '&p_gid=' + sGid + '&p_uid=' + sUid + '&p=' + page;

    // 接続
    $.ajax({
        url: aj_url,
        timeout: 30000 ,
        success: ok_portal_content_blogs_Keyword ,
        error  : ng_portal_content_blogs_Keyword
    });
};
// 成功：
function ok_portal_content_blogs_Keyword(data){
    $('#portal-content-blogs').find("div:first").remove();
    $('#portal-content-blogs').append(  '<div>' + data + '</div>'  );
};
// 失敗：
function ng_portal_content_blogs_Keyword( XMLHttpRequest, status, errorThrown ){
    // 通信エラーは何も表示しない
    // var disp_string = gf_getAjaxListErrorString( XMLHttpRequest, status);
    // $('#portal-content-blogs').append( disp_string );
    $('#portal-content-blogs').find("div:first").remove();
    $('#portal-content-blogs').append(  '<div>' + '取得失敗' + '</div>'  );
};

//----------------------------------------
//  ランキング
//----------------------------------------
function selectRankingTab(sTerm, page)
{
    $('#portal-content-ranking').find("div:first").remove();
    $('#portal-content-ranking').append(  '<div>' + 'ロード中' + '</div>'  );

    // 接続先のURL取得
    var base_dir = $('#base_dir')[0].innerHTML;
    var base_url = base_dir + 'index.php';

    // パラメータ情報取得
    sGid   = $("input[name='p_gid']").val();
    sUid   = $("input[name='p_uid']").val();

    // URLエンコード
    sTerm = encodeURI(sTerm);
    sGid = encodeURI(sGid);
    sUid = encodeURI(sUid);

    // URL確定
    var aj_url = base_url + '?module=Portal&action=Ranking&term=' + sTerm + '&p_gid=' + sGid + '&p_uid=' + sUid + '&ranking_page=' + page;

    // 接続
    $.ajax({
        url: aj_url,
        timeout: 30000 ,
        success: ok_portal_content_blogs_Ranking ,
        error  : ng_portal_content_blogs_Ranking
    });
};
// 成功：
function ok_portal_content_blogs_Ranking(data){
    $('#portal-content-ranking').find("div:first").remove();
    $('#portal-content-ranking').append(  '<div>' + data + '</div>'  );
};
// 失敗：
function ng_portal_content_blogs_Ranking( XMLHttpRequest, status, errorThrown ){
    // 通信エラーは何も表示しない
    // var disp_string = gf_getAjaxListErrorString( XMLHttpRequest, status);
    // $('#portal-content-blogs').append( disp_string );
    $('#portal-content-ranking').find("div:first").remove();
    $('#portal-content-ranking').append(  '<div>' + '取得失敗' + '</div>'  );
};
//----------------------------------------
//  ランキング参・退
//----------------------------------------
function blogJoinLeaveDo(sLeave, sBlogId,sTerm, page)
{

    $('#portal-content-ranking').find("div:first").remove();
    $('#portal-content-ranking').append(  '<div>' + 'ロード中' + '</div>'  );

    // 接続先のURL取得
    var base_dir = $('#base_dir')[0].innerHTML;
    var base_url = base_dir + 'index.php';

    // パラメータ情報取得
    sGid   = $("input[name='p_gid']").val();
    sUid   = $("input[name='p_uid']").val();

    // URLエンコード
    sBlogId = encodeURI(sBlogId);
    sTerm = encodeURI(sTerm);
    sGid = encodeURI(sGid);
    sUid = encodeURI(sUid);

    // URL確定
    var aj_url = base_url + '?module=Portal&action=BlogJoinDo&term=' + sTerm + '&p_gid=' + sGid + '&p_uid=' + sUid + '&blog=' + sBlogId  + '&ranking_page=' + page;

    if (sLeave == 'on') {
        var aj_url = aj_url + '&leave=' + sLeave;
    }

    // 接続
    $.ajax({
        url: aj_url,
        timeout: 30000 ,
        success: ok_portal_content_blogs_Ranking ,
        error  : ng_portal_content_blogs_Ranking
    });
};
// 成功：
function ok_portal_content_blogs_Ranking(data){
    $('#portal-content-ranking').find("div:first").remove();
    $('#portal-content-ranking').append(  '<div>' + data + '</div>'  );
};
// 失敗：
function ng_portal_content_blogs_Ranking( XMLHttpRequest, status, errorThrown ){
    // 通信エラーは何も表示しない
    // var disp_string = gf_getAjaxListErrorString( XMLHttpRequest, status);
    // $('#portal-content-blogs').append( disp_string );
    $('#portal-content-ranking').find("div:first").remove();
    $('#portal-content-ranking').append(  '<div>' + '取得失敗' + '</div>'  );
};
//----------------------------------------
//  ディレクトリ
//----------------------------------------
function updateDirectory()
{
    $('#portal-content-directories-body').find("div:first").remove();
    $('#portal-content-directories-body').append(  '<div>' + 'ロード中' + '</div>'  );

    // 接続先のURL取得
    var base_dir = $('#base_dir')[0].innerHTML;
    var base_url = base_dir + 'index.php';

    // パラメータ情報取得
    sGid   = $("input[name='p_gid']").val();
    sUid   = $("input[name='p_uid']").val();

    // URLエンコード
    sGid = encodeURI(sGid);
    sUid = encodeURI(sUid);

    // URL確定
    var aj_url = base_url + '?module=Portal&action=Directory&p_gid=' + sGid + '&p_uid=' + sUid;

    // 接続
    $.ajax({
        url: aj_url,
        timeout: 30000 ,
        success: ok_portal_content_blogs_Directory ,
        error  : ng_portal_content_blogs_Directory
    });
};
// 成功：
function ok_portal_content_blogs_Directory(data){
    $('#portal-content-directories-body').find("div:first").remove();
    $('#portal-content-directories-body').append(  '<div>' + data + '</div>'  );
};
// 失敗：
function ng_portal_content_blogs_Directory( XMLHttpRequest, status, errorThrown ){
    // 通信エラーは何も表示しない
    // var disp_string = gf_getAjaxListErrorString( XMLHttpRequest, status);
    // $('#portal-content-blogs').append( disp_string );
    $('#portal-content-directories-body').find("div:first").remove();
    $('#portal-content-directories-body').append(  '<div>' + '取得失敗' + '</div>'  );
};
//----------------------------------------
//  キーワード
//----------------------------------------
function updateKeyword()
{
    $('#portal-content-keywords-body').find("div:first").remove();
    $('#portal-content-keywords-body').append(  '<div>' + 'ロード中' + '</div>'  );

    // 接続先のURL取得
    var base_dir = $('#base_dir')[0].innerHTML;
    var base_url = base_dir + 'index.php';

    // パラメータ情報取得
    sGid   = $("input[name='p_gid']").val();
    sUid   = $("input[name='p_uid']").val();

    // URLエンコード
    sGid = encodeURI(sGid);
    sUid = encodeURI(sUid);

    // URL確定
    var aj_url = base_url + '?module=Portal&action=Keyword&p_gid=' + sGid + '&p_uid=' + sUid;

    // 接続
    $.ajax({
        url: aj_url,
        timeout: 30000 ,
        success: ok_portal_content_Keyword ,
        error  : ng_portal_content_Keyword
    });
};
// 成功：
function ok_portal_content_Keyword(data){
    $('#portal-content-keywords-body').find("div:first").remove();
    $('#portal-content-keywords-body').append(  '<div>' + data + '</div>'  );
};
// 失敗：
function ng_portal_content_Keyword( XMLHttpRequest, status, errorThrown ){
    // 通信エラーは何も表示しない
    // var disp_string = gf_getAjaxListErrorString( XMLHttpRequest, status);
    // $('#portal-content-blogs').append( disp_string );
    $('#portal-content-keywords-body').find("div:first").remove();
    $('#portal-content-keywords-body').append(  '<div>' + '取得失敗' + '</div>'  );
};
//----------------------------------------
//  ユーザー選択
//----------------------------------------
function selectUser(userID, userName)
{
    document.form_search.p_gid.value = '';
    document.form_search.p_uid.value = userID;

    // 新着記事
    selectRecentEntryTab(1);

    // ランキング
    selectRankingTab('daily','1');

    // ディレクトリ
    updateDirectory();

    // キーワード
    updateKeyword();

    // 絞込み追加
    $('#portal_selection').find("div:first").remove();
    $('#portal_selection').show();
    $('#portal_selection').append(  '<div>' + '&nbsp;&gt;&nbsp;『' +  userName + '』' + '</div>'  );

    // ボタン表示
    $('#unselect_grouporuser').show();
};
//----------------------------------------
//  グループ選択
//----------------------------------------
function selectGroup(groupID, groupName)
{
    document.form_search.p_gid.value = groupID;
    document.form_search.p_uid.value = '';

    // 新着記事
    selectRecentEntryTab(1);

    // ランキング
    selectRankingTab('daily','1');

    // ディレクトリ
    updateDirectory();

    // キーワード
    updateKeyword();

    // 絞込み追加
    $('#portal_selection').find("div:first").remove();
    $('#portal_selection').show();
    $('#portal_selection').append(  '<div>' + '&nbsp;&gt;&nbsp;『' +  groupName + '』' + '</div>'  );

    // ボタン表示
    $('#unselect_grouporuser').show();
};
//----------------------------------------
//  絞込み解除
//----------------------------------------
function unselectGroupOrUser()
{
    document.form_search.p_gid.value = '';
    document.form_search.p_uid.value = '';

    // 新着記事
    selectRecentEntryTab(1);

    // ランキング
    selectRankingTab('daily','1');

    // ディレクトリ
    updateDirectory();

    // キーワード
    updateKeyword();

    // 絞込み追加
    $('#portal_selection').find("div:first").remove();
    $('#portal_selection').hide();
    $('#portal_selection').append(  '<div></div>'  );

    // ボタン表示
    $('#unselect_grouporuser').hide();
};
//----------------------------------------
//  グループタブ
//----------------------------------------
function selectTabChenge(objTabClick)
{
    $('.tab-group').addClass('tab-selected');
};
//----------------------------------------
//  グループタブ
//----------------------------------------
function selectGroupTab(constID, page)
{
    $('#tab-body-id').remove();
    $('#tab-body').append(  '<div id="tab-body-id">' + 'ロード中' + '</div>'  );
    $('.tab-selected').removeClass('tab-selected');
    $('.tab-group').addClass('tab-selected');

    // 接続先のURL取得
    var base_dir = $('#base_dir')[0].innerHTML;
    var base_url = base_dir + 'index.php';

    // URLエンコード
    constID = encodeURI(constID);
    page = encodeURI(page);

    // URL確定
    var aj_url = base_url + '?module=Portal&action=GroupList&p_group_gcid=' + constID + '&group_page=' + page;

    // 接続
    $.ajax({
        url: aj_url,
        timeout: 30000 ,
        success: ok_portal_content_grp ,
        error  : ng_portal_content_grp
    });
};
// 成功：
function ok_portal_content_grp(data){
    $('#tab-body').find("div:first").remove();
    $('#tab-body').append(  '<div id="tab-body-id">' + data + '</div>'  );
};
// 失敗：
function ng_portal_content_grp( XMLHttpRequest, status, errorThrown ){
    // 通信エラーは何も表示しない
    // var disp_string = gf_getAjaxListErrorString( XMLHttpRequest, status);
    // $('#portal-content-blogs').append( disp_string );
    $('#tab-body').find("div:first").remove();
    $('#tab-body').append(  '<div id="tab-body-id">>' + '取得失敗' + '</div>'  );
};
//----------------------------------------
//  ユーザータブ
//----------------------------------------
function selectUserTab(groupID, keyword, page)
{
    $('#tab-body-id').remove();
    $('#tab-body').append(  '<div id="tab-body-id">' + 'ロード中' + '</div>'  );
    $('.tab-selected').removeClass('tab-selected');
    $('.tab-user').addClass('tab-selected');

    // 接続先のURL取得
    var base_dir = $('#base_dir')[0].innerHTML;
    var base_url = base_dir + 'index.php';

    // URLエンコード
    groupID = encodeURI(groupID);
    keyword = encodeURI(keyword);
    page = encodeURI(page);

    // URL確定
    var aj_url = base_url + '?module=Portal&action=UserList&p_user_gid=' + groupID + '&p_user_keyword=' + keyword + '&user_page=' + page;

    // 接続
    $.ajax({
        url: aj_url,
        timeout: 30000 ,
        success: ok_portal_content_user ,
        error  : ng_portal_content_user
    });
};
// 成功：
function ok_portal_content_user(data){
    $('#tab-body').find("div:first").remove();
    $('#tab-body').append(  '<div id="tab-body-id">' + data + '</div>'  );
};
// 失敗：
function ng_portal_content_user( XMLHttpRequest, status, errorThrown ){
    // 通信エラーは何も表示しない
    // var disp_string = gf_getAjaxListErrorString( XMLHttpRequest, status);
    // $('#portal-content-blogs').append( disp_string );
    $('#tab-body').find("div:first").remove();
    $('#tab-body').append(  '<div id="tab-body-id">' + '取得失敗' + '</div>'  );
};
//----------------------------------------
//  ユーザー検索
//----------------------------------------
function selectUserSrhTab()
{
    // パラメータ情報取得
    var keyword   = $("input[name='p_user_keyword']").val();
    var groupID   = $("input[name='p_user_gid']").val();
    selectUserTab(groupID, keyword, '1');
};
//----------------------------------------
//  ユーザー検索グループ
//----------------------------------------
function openGroupSelect(callback)
{
    //[ ボタンクリック処理 ]
    var _onGroupSelected = function(e){
        var groupID = e.target['sgp'].value;
        callback(e, groupID);
        return false;
    };
    // 接続先のURL取得
    var base_dir = $('#base_dir')[0].innerHTML;
    var base_url = base_dir + 'index.php';
    sgrp   = $("input[name='sgp']").val();
    var surl = base_url + '?module=Default&action=GpSel&selkd=2&portal=' + 'user' + '&sgp=' + sgrp;

    var _dialog = window.open(surl, 'RegistUser', 'width=300,height=500,location=0,resizable=yes,scrollbars=yes,status=yes,left=30,top=30');
};
/**
 * formの入力チェックをする
 * 
 * @param   {HTMLFormElement}   formElement     form要素
 * @return  入力が正しければtrue、そうでなければfalse
 */
function validateRequiredForm(formElement)
{
    var canSubmit = true;

    // 必須クラスがついているもの全て
    $(".required", formElement).each(function () {
        // 名前を取得
        var sname = $(this).attr("name");
        // typeを取得
        var stype = $(this).attr("type");

        // typeによって分岐
        if (stype == "text" || stype == "password") {
            var sinputval = $(this).val();
        }
        else if (stype == "radio") {
            var sinputval = $('input[name='+sname+']:checked').val();
        }

        //[ 未入力の場合 ]
        if (sinputval == null || !sinputval.length){
            var _name = sname.replace("[]", "");
            // 必須項目の場合にメッセージを表示
            var nodeList = $(".required-item-" + _name);
            if (nodeList.length > 0){
                nodeList.addClass('required-item-blank');
                canSubmit = false;
            }
        }
        else if (sinputval.length) {
            var _name = sname.replace("[]", "");
            // 必須項目の場合にメッセージを表示
            var nodeList = $(".required-item-" + _name);
            if (nodeList.length > 0){
                nodeList.removeClass('required-item-blank');
            }
        }
    });

    return canSubmit;
};
//----------------------------------------
//  グループ選択ダイアログを閉じる
//----------------------------------------
function closeGroupSelect()
{

    wp = window.opener;
    if (wp == null || wp.closed){
        alert("呼び出した画面が既に閉じられてる為、終了します。");
        window.top.close();
        return;
    }

    if (wp.document.frm == null || wp.document.frm.sgp == null ){
        alert("呼び出した画面が既に変更されている為、終了します。");
        window.top.close();
        return;
    }

    radios = document.grpsel.sgp;
    rlen   = radios.length;
    alen = document.grpsel.elements.length;

    // ラジオボタンが1つ
    if(rlen == undefined){
        wp.selectUserTab(radios.value, '', '');
        wp.focus();
        window.top.close();
        return;
    }

    for(i=0;i<rlen;i++){
        if(radios[i].checked){ 
            wp.selectUserTab(radios[i].value, '', '');
            wp.focus();
            window.top.close();
            return;
        }
    }
    alert("グループを選択してください。");
};

//----------------------------------------
//  Topicブログ
//----------------------------------------
function updateTopic(page)
{
    $('#portal-content-topic-blog-body').find("div:first").remove();
    $('#portal-content-topic-blog-body').append(  '<div>' + 'ロード中' + '</div>'  );

    // 接続先のURL取得
    var base_dir = $('#base_dir')[0].innerHTML;
    var base_url = base_dir + 'index.php';

    // URLエンコード
    page = encodeURI(page);

    // URL確定
    var aj_url = base_url + '?module=Portal&action=TopicBlogList&topic_page=' + page;

    // 接続
    $.ajax({
        url: aj_url,
        timeout: 30000 ,
        success: ok_portal_content_topic_blogs,
        error  : ng_portal_content_topic_blogs
    });
};
// 成功：
function ok_portal_content_topic_blogs(data){
    $('#portal-content-topic-blog-body').find("div:first").remove();
    $('#portal-content-topic-blog-body').append(  '<div>' + data + '</div>'  );
};
// 失敗：
function ng_portal_content_topic_blogs( XMLHttpRequest, status, errorThrown ){
    // 通信エラーは何も表示しない
    // var disp_string = gf_getAjaxListErrorString( XMLHttpRequest, status);
    // $('#portal-content-blogs').append( disp_string );
    $('#portal-content-topic-blog-body').find("div:first").remove();
    $('#portal-content-topic-blog-body').append(  '<div>' + '取得失敗' + '</div>'  );
};
