create temporary table pgdump_restore_path(p text);
--
-- NOTE:
--
-- File paths need to be edited. Search for $$PATH$$ and
-- replace it with the path to the directory containing
-- the extracted data files.
--
-- Edit the following to match the path where the
-- tar archive has been extracted.
--
insert into pgdump_restore_path values('/tmp');

--
-- PostgreSQL database dump
--

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

ALTER TABLE ONLY public.ptm_group_user DROP CONSTRAINT ptm_group_user_fkey_1;
ALTER TABLE ONLY public.ptm_group_user DROP CONSTRAINT ptm_group_user_fkey_0;
ALTER TABLE ONLY public.bt_trackback DROP CONSTRAINT bt_trackback_fkey_0;
ALTER TABLE ONLY public.bt_template_image DROP CONSTRAINT bt_template_image_fkey_0;
ALTER TABLE ONLY public.bt_keyword DROP CONSTRAINT bt_keyword_fkey_0;
ALTER TABLE ONLY public.bt_fileinfo DROP CONSTRAINT bt_fileinfo_fkey_0;
ALTER TABLE ONLY public.bt_favorite DROP CONSTRAINT bt_favorite_fkey_0;
ALTER TABLE ONLY public.bt_entry_tmp DROP CONSTRAINT bt_entry_tmp_fkey_2;
ALTER TABLE ONLY public.bt_entry_tmp DROP CONSTRAINT bt_entry_tmp_fkey_1;
ALTER TABLE ONLY public.bt_entry_tmp DROP CONSTRAINT bt_entry_tmp_fkey_0;
ALTER TABLE ONLY public.bt_entry DROP CONSTRAINT bt_entry_fkey_2;
ALTER TABLE ONLY public.bt_entry DROP CONSTRAINT bt_entry_fkey_1;
ALTER TABLE ONLY public.bt_entry DROP CONSTRAINT bt_entry_fkey_0;
ALTER TABLE ONLY public.bt_entry_category DROP CONSTRAINT bt_entry_category_fkey_1;
ALTER TABLE ONLY public.bt_entry_category DROP CONSTRAINT bt_entry_category_fkey_0;
ALTER TABLE ONLY public.bt_comment DROP CONSTRAINT bt_comment_fkey_1;
ALTER TABLE ONLY public.bt_comment DROP CONSTRAINT bt_comment_fkey_0;
ALTER TABLE ONLY public.bt_category DROP CONSTRAINT bt_category_fkey_0;
ALTER TABLE ONLY public.bt_blog_size DROP CONSTRAINT bt_blog_size_fkey_0;
ALTER TABLE ONLY public.bt_blog_entry_access DROP CONSTRAINT bt_blog_entry_access_fkey_1;
ALTER TABLE ONLY public.bt_blog_entry_access DROP CONSTRAINT bt_blog_entry_access_fkey_0;
ALTER TABLE ONLY public.bt_blog_approval DROP CONSTRAINT bt_blog_approval_fkey_1;
ALTER TABLE ONLY public.bt_blog_approval DROP CONSTRAINT bt_blog_approval_fkey_0;
ALTER TABLE ONLY public.bt_blog_access_weekly DROP CONSTRAINT bt_blog_access_weekly_fkey_0;
ALTER TABLE ONLY public.bt_blog_access DROP CONSTRAINT bt_blog_access_fkey_0;
ALTER TABLE ONLY public.bt_access_ranking DROP CONSTRAINT bt_access_ranking_fkey_0;
ALTER TABLE ONLY public.bt_access DROP CONSTRAINT bt_access_fkey_2;
ALTER TABLE ONLY public.bt_access DROP CONSTRAINT bt_access_fkey_1;
ALTER TABLE ONLY public.bt_access DROP CONSTRAINT bt_access_fkey_0;
ALTER TABLE ONLY public.bm_template DROP CONSTRAINT bm_template_fkey_0;
ALTER TABLE ONLY public.bm_directory DROP CONSTRAINT bm_directory_fkey_0;
ALTER TABLE ONLY public.bm_blog_user DROP CONSTRAINT bm_blog_user_fkey_1;
ALTER TABLE ONLY public.bm_blog_user DROP CONSTRAINT bm_blog_user_fkey_0;
ALTER TABLE ONLY public.bm_blog_group DROP CONSTRAINT bm_blog_group_fkey_1;
ALTER TABLE ONLY public.bm_blog_group DROP CONSTRAINT bm_blog_group_fkey_0;
ALTER TABLE ONLY public.bm_blog DROP CONSTRAINT bm_blog_fkey_0;
ALTER TABLE ONLY public.bm_attach_user DROP CONSTRAINT bm_attach_user_fkey_0;
DROP TRIGGER trig_bt_access_entry_id ON public.bt_access;
DROP INDEX public.idx_bt_trackback_entry_id;
DROP INDEX public.idx_bt_trackback_blog_sys_id_entry_id;
DROP INDEX public.idx_bt_trackback_blog_sys_id_comment_id;
DROP INDEX public.idx_bt_trackback_blog_sys_id;
DROP INDEX public.idx_bt_fileinfo_file_name;
DROP INDEX public.idx_bt_fileinfo_blog_sys_id;
DROP INDEX public.idx_bt_entry_public_date;
DROP INDEX public.idx_bt_entry_entry_id_blog_sys_id;
DROP INDEX public.idx_bt_entry_entry_date_id;
DROP INDEX public.idx_bt_entry_entry_date;
DROP INDEX public.idx_bt_entry_blog_sys_id;
DROP INDEX public.idx_bt_entry_bid_edate_pdate;
DROP INDEX public.idx_bt_comment_entry_id;
DROP INDEX public.idx_bt_comment_blog_sys_id_entry_id;
DROP INDEX public.idx_bt_comment_blog_sys_id_comment_id;
DROP INDEX public.idx_bt_comment_blog_sys_id;
DROP INDEX public.idx_bt_blog_access_access_date;
DROP INDEX public.idx_bt_access_blog_sys_id;
DROP INDEX public.idx_bm_blog_blog_name;
DROP INDEX public.idx_bm_blog_blog_id;
ALTER TABLE ONLY public.sessions DROP CONSTRAINT sessions_pkey;
ALTER TABLE ONLY public.ptm_user DROP CONSTRAINT ptm_user_pkey;
ALTER TABLE ONLY public.ptm_group_user DROP CONSTRAINT ptm_group_user_pkey;
ALTER TABLE ONLY public.ptm_group DROP CONSTRAINT ptm_group_pkey;
ALTER TABLE ONLY public.bt_trackback DROP CONSTRAINT bt_trackback_pkey;
ALTER TABLE ONLY public.bt_total_access DROP CONSTRAINT bt_total_access_pkey;
ALTER TABLE ONLY public.bt_template_image DROP CONSTRAINT bt_template_image_pkey;
ALTER TABLE ONLY public.bt_process_log DROP CONSTRAINT bt_process_log_pkey;
ALTER TABLE ONLY public.bt_license DROP CONSTRAINT bt_license_pkey;
ALTER TABLE ONLY public.bt_libura_login_info DROP CONSTRAINT bt_libura_login_info_pkey;
ALTER TABLE ONLY public.bt_keyword DROP CONSTRAINT bt_keyword_pkey;
ALTER TABLE ONLY public.bt_fileinfo DROP CONSTRAINT bt_fileinfo_pkey;
ALTER TABLE ONLY public.bt_favorite DROP CONSTRAINT bt_favorite_pkey;
ALTER TABLE ONLY public.bt_entry_tmp DROP CONSTRAINT bt_entry_tmp_pkey;
ALTER TABLE ONLY public.bt_entry DROP CONSTRAINT bt_entry_pkey;
ALTER TABLE ONLY public.bt_entry DROP CONSTRAINT bt_entry_entry_id_key;
ALTER TABLE ONLY public.bt_entry_category DROP CONSTRAINT bt_entry_category_pkey;
ALTER TABLE ONLY public.bt_comment DROP CONSTRAINT bt_comment_pkey;
ALTER TABLE ONLY public.bt_category DROP CONSTRAINT bt_category_pkey;
ALTER TABLE ONLY public.bt_blog_size DROP CONSTRAINT bt_blog_size_pkey;
ALTER TABLE ONLY public.bt_blog_entry_access DROP CONSTRAINT bt_blog_entry_access_pkey;
ALTER TABLE ONLY public.bt_blog_approval DROP CONSTRAINT bt_blog_approval_pkey;
ALTER TABLE ONLY public.bt_blog_access_weekly DROP CONSTRAINT bt_blog_access_weekly_pkey;
ALTER TABLE ONLY public.bt_blog_access DROP CONSTRAINT bt_blog_access_pkey;
ALTER TABLE ONLY public.bt_access_ranking DROP CONSTRAINT bt_access_ranking_pkey;
ALTER TABLE ONLY public.bt_access DROP CONSTRAINT bt_access_pkey;
ALTER TABLE ONLY public.bm_template DROP CONSTRAINT bm_template_pkey;
ALTER TABLE ONLY public.bm_setting DROP CONSTRAINT bm_setting_pkey;
ALTER TABLE ONLY public.bm_directory DROP CONSTRAINT bm_directory_pkey;
ALTER TABLE ONLY public.bm_blog_user DROP CONSTRAINT bm_blog_user_pkey;
ALTER TABLE ONLY public.bm_blog DROP CONSTRAINT bm_blog_pkey;
ALTER TABLE ONLY public.bm_blog_group DROP CONSTRAINT bm_blog_group_pkey;
ALTER TABLE ONLY public.bm_attach_user DROP CONSTRAINT bm_attach_user_pkey;
ALTER TABLE public.ptm_user ALTER COLUMN id DROP DEFAULT;
ALTER TABLE public.ptm_group ALTER COLUMN id DROP DEFAULT;
ALTER TABLE public.bt_trackback ALTER COLUMN trackback_id DROP DEFAULT;
ALTER TABLE public.bt_total_access ALTER COLUMN access_count DROP DEFAULT;
ALTER TABLE public.bt_template_image ALTER COLUMN template_image_id DROP DEFAULT;
ALTER TABLE public.bt_keyword ALTER COLUMN keyword_id DROP DEFAULT;
ALTER TABLE public.bt_fileinfo ALTER COLUMN file_id DROP DEFAULT;
ALTER TABLE public.bt_favorite ALTER COLUMN favorite_id DROP DEFAULT;
ALTER TABLE public.bt_entry ALTER COLUMN entry_id DROP DEFAULT;
ALTER TABLE public.bt_comment ALTER COLUMN comment_id DROP DEFAULT;
ALTER TABLE public.bt_category ALTER COLUMN category_id DROP DEFAULT;
ALTER TABLE public.bt_blog_size ALTER COLUMN size DROP DEFAULT;
ALTER TABLE public.bt_blog_access_weekly ALTER COLUMN access_count DROP DEFAULT;
ALTER TABLE public.bt_access_ranking ALTER COLUMN ranking_id DROP DEFAULT;
ALTER TABLE public.bt_access ALTER COLUMN access_id DROP DEFAULT;
ALTER TABLE public.bm_template ALTER COLUMN template_id DROP DEFAULT;
ALTER TABLE public.bm_directory ALTER COLUMN directory_id DROP DEFAULT;
ALTER TABLE public.bm_blog ALTER COLUMN blog_sys_id DROP DEFAULT;
DROP SEQUENCE public.ptm_user_id_seq;
DROP SEQUENCE public.ptm_group_id_seq;
DROP SEQUENCE public.bt_trackback_trackback_id_seq;
DROP SEQUENCE public.bt_total_access_access_count_seq;
DROP SEQUENCE public.bt_template_image_template_image_id_seq;
DROP SEQUENCE public.bt_keyword_keyword_id_seq;
DROP SEQUENCE public.bt_fileinfo_file_id_seq;
DROP SEQUENCE public.bt_favorite_favorite_id_seq;
DROP SEQUENCE public.bt_entry_entry_id_seq;
DROP SEQUENCE public.bt_comment_comment_id_seq;
DROP SEQUENCE public.bt_category_category_id_seq;
DROP SEQUENCE public.bt_blog_size_size_seq;
DROP SEQUENCE public.bt_blog_access_weekly_access_count_seq;
DROP SEQUENCE public.bt_access_ranking_ranking_id_seq;
DROP SEQUENCE public.bt_access_access_id_seq;
DROP SEQUENCE public.bm_template_template_id_seq;
DROP SEQUENCE public.bm_directory_directory_id_seq;
DROP SEQUENCE public.bm_blog_blog_sys_id_seq;
DROP FUNCTION public.func_trig_bt_access_entry_id();
DROP TABLE public.sessions;
DROP TABLE public.ptm_user;
DROP TABLE public.ptm_group_user;
DROP TABLE public.ptm_group;
DROP TABLE public.bt_trackback;
DROP TABLE public.bt_total_access;
DROP TABLE public.bt_template_image;
DROP TABLE public.bt_process_log;
DROP TABLE public.bt_login_info;
DROP TABLE public.bt_license;
DROP TABLE public.bt_libura_login_info;
DROP TABLE public.bt_keyword;
DROP TABLE public.bt_fileinfo;
DROP TABLE public.bt_favorite;
DROP TABLE public.bt_entry_tmp;
DROP TABLE public.bt_entry_category;
DROP TABLE public.bt_entry;
DROP TABLE public.bt_comment;
DROP TABLE public.bt_category;
DROP TABLE public.bt_blog_size;
DROP TABLE public.bt_blog_entry_access;
DROP TABLE public.bt_blog_approval;
DROP TABLE public.bt_blog_access_weekly;
DROP TABLE public.bt_blog_access;
DROP TABLE public.bt_access_ranking;
DROP TABLE public.bt_access;
DROP TABLE public.bm_template;
DROP TABLE public.bm_setting;
DROP TABLE public.bm_directory;
DROP TABLE public.bm_blog_user;
DROP TABLE public.bm_blog_group;
DROP TABLE public.bm_blog;
DROP TABLE public.bm_attach_user;
DROP TABLE public.bm_allow_mod_user_setting;
DROP PROCEDURAL LANGUAGE plpgsql;
DROP SCHEMA public;
--
-- Name: public; Type: SCHEMA; Schema: -; Owner: postgres
--

CREATE SCHEMA public;


ALTER SCHEMA public OWNER TO postgres;

--
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: postgres
--

COMMENT ON SCHEMA public IS 'standard public schema';


--
-- Name: plpgsql; Type: PROCEDURAL LANGUAGE; Schema: -; Owner: dnblog
--

CREATE PROCEDURAL LANGUAGE plpgsql;


ALTER PROCEDURAL LANGUAGE plpgsql OWNER TO dnblog;

SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: bm_allow_mod_user_setting; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bm_allow_mod_user_setting (
    name character(1) DEFAULT '0'::bpchar,
    kana character(1) DEFAULT '0'::bpchar,
    nickname character(1) DEFAULT '1'::bpchar,
    userid character(1) DEFAULT '1'::bpchar,
    mail character(1) DEFAULT '1'::bpchar,
    mailmobile character(1) DEFAULT '1'::bpchar,
    mailprivate character(1) DEFAULT '1'::bpchar,
    mailother character(1) DEFAULT '1'::bpchar,
    mailusecorp character(1) DEFAULT '1'::bpchar,
    mailusemobile character(1) DEFAULT '1'::bpchar,
    mailuseprivate character(1) DEFAULT '1'::bpchar,
    mailuseother character(1) DEFAULT '1'::bpchar,
    mailclose character(1) DEFAULT '1'::bpchar,
    defblog character(1) DEFAULT '1'::bpchar,
    word character(1) DEFAULT '1'::bpchar
);


ALTER TABLE public.bm_allow_mod_user_setting OWNER TO dnblog;

--
-- Name: TABLE bm_allow_mod_user_setting; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bm_allow_mod_user_setting IS '個人情報変更不可設定';


--
-- Name: COLUMN bm_allow_mod_user_setting.name; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_allow_mod_user_setting.name IS '氏名';


--
-- Name: COLUMN bm_allow_mod_user_setting.kana; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_allow_mod_user_setting.kana IS 'ふりがな';


--
-- Name: COLUMN bm_allow_mod_user_setting.nickname; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_allow_mod_user_setting.nickname IS 'ニックネーム';


--
-- Name: COLUMN bm_allow_mod_user_setting.userid; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_allow_mod_user_setting.userid IS 'ログインid';


--
-- Name: COLUMN bm_allow_mod_user_setting.mail; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_allow_mod_user_setting.mail IS 'メールアドレス・会社用';


--
-- Name: COLUMN bm_allow_mod_user_setting.mailmobile; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_allow_mod_user_setting.mailmobile IS 'メールアドレス・携帯用';


--
-- Name: COLUMN bm_allow_mod_user_setting.mailprivate; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_allow_mod_user_setting.mailprivate IS 'メールアドレス・個人用';


--
-- Name: COLUMN bm_allow_mod_user_setting.mailother; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_allow_mod_user_setting.mailother IS 'メールアドレス・その他';


--
-- Name: COLUMN bm_allow_mod_user_setting.mailusecorp; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_allow_mod_user_setting.mailusecorp IS 'メールアドレス・会社用使用有無';


--
-- Name: COLUMN bm_allow_mod_user_setting.mailusemobile; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_allow_mod_user_setting.mailusemobile IS 'メールアドレス・携帯用使用有無';


--
-- Name: COLUMN bm_allow_mod_user_setting.mailuseprivate; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_allow_mod_user_setting.mailuseprivate IS 'メールアドレス・個人用使用有無';


--
-- Name: COLUMN bm_allow_mod_user_setting.mailuseother; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_allow_mod_user_setting.mailuseother IS 'メールアドレス・その他使用有無';


--
-- Name: COLUMN bm_allow_mod_user_setting.mailclose; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_allow_mod_user_setting.mailclose IS '公開用メールアドレス';


--
-- Name: COLUMN bm_allow_mod_user_setting.defblog; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_allow_mod_user_setting.defblog IS '初期表示ブログ';


--
-- Name: COLUMN bm_allow_mod_user_setting.word; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_allow_mod_user_setting.word IS 'ユーザーパスワード';


--
-- Name: bm_attach_user; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bm_attach_user (
    blog_sys_id integer NOT NULL,
    file_name character varying(255),
    file_extension character varying(255),
    mimetype character varying(127),
    size integer,
    data bytea
);


ALTER TABLE public.bm_attach_user OWNER TO dnblog;

--
-- Name: TABLE bm_attach_user; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bm_attach_user IS '顔写真';


--
-- Name: COLUMN bm_attach_user.blog_sys_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_attach_user.blog_sys_id IS 'ブログシステムid';


--
-- Name: COLUMN bm_attach_user.file_name; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_attach_user.file_name IS '実ファイル名';


--
-- Name: COLUMN bm_attach_user.file_extension; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_attach_user.file_extension IS '拡張子';


--
-- Name: COLUMN bm_attach_user.mimetype; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_attach_user.mimetype IS 'mime-type';


--
-- Name: COLUMN bm_attach_user.size; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_attach_user.size IS 'ファイルサイズ';


--
-- Name: COLUMN bm_attach_user.data; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_attach_user.data IS '実データ';


--
-- Name: bm_blog; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bm_blog (
    blog_sys_id integer NOT NULL,
    blog_id character varying(63) NOT NULL,
    blog_type character(1) DEFAULT '0'::bpchar,
    blog_status character(1) DEFAULT '0'::bpchar,
    template_id integer,
    blog_name character varying(255),
    blog_description text,
    blog_limit_top integer DEFAULT 10,
    blog_limit_archive integer DEFAULT 10,
    allow_public character(1) DEFAULT '0'::bpchar,
    allow_comment character(1) DEFAULT '0'::bpchar,
    allow_trackback character(1) DEFAULT '0'::bpchar,
    allow_mail_summary character(1) DEFAULT '0'::bpchar,
    allow_pulldown character(1) DEFAULT '0'::bpchar,
    open_comment character(1) DEFAULT '0'::bpchar,
    date_format character varying(31),
    entry_email character varying(127),
    deny_ranking character(1) DEFAULT '0'::bpchar,
    add_info character(1) DEFAULT '0'::bpchar,
    mailentry_public character(1) DEFAULT '0'::bpchar,
    topic character(1) DEFAULT '0'::bpchar,
    allow_closed_comment character(1) DEFAULT '0'::bpchar,
    sort_order integer,
    join_type character(1) DEFAULT '2'::bpchar,
    entry_admit character(1) DEFAULT '1'::bpchar,
    allow_mail_join character(1) DEFAULT '0'::bpchar,
    allow_mail_entry_admit character(1) DEFAULT '0'::bpchar,
    allow_mail_open character(1) DEFAULT '0'::bpchar,
    allow_mailentry character(1) DEFAULT '0'::bpchar,
    time_format character(1) DEFAULT '0'::bpchar,
    auto_save character(1) DEFAULT '0'::bpchar,
    auto_save_time integer,
    comment_captcha character(1) DEFAULT '0'::bpchar
);


ALTER TABLE public.bm_blog OWNER TO dnblog;

--
-- Name: TABLE bm_blog; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bm_blog IS 'ブログ';


--
-- Name: COLUMN bm_blog.blog_sys_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.blog_sys_id IS 'ブログシステムid';


--
-- Name: COLUMN bm_blog.blog_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.blog_id IS 'ブログid';


--
-- Name: COLUMN bm_blog.blog_type; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.blog_type IS 'ブログタイプ';


--
-- Name: COLUMN bm_blog.blog_status; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.blog_status IS 'ステータス';


--
-- Name: COLUMN bm_blog.template_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.template_id IS 'テンプレートid';


--
-- Name: COLUMN bm_blog.blog_name; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.blog_name IS 'ブログ名';


--
-- Name: COLUMN bm_blog.blog_description; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.blog_description IS 'ブログ概要';


--
-- Name: COLUMN bm_blog.blog_limit_top; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.blog_limit_top IS 'topページ表示件数';


--
-- Name: COLUMN bm_blog.blog_limit_archive; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.blog_limit_archive IS '１ページ表示件数';


--
-- Name: COLUMN bm_blog.allow_public; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.allow_public IS 'ゲストの訪問';


--
-- Name: COLUMN bm_blog.allow_comment; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.allow_comment IS 'コメント設定';


--
-- Name: COLUMN bm_blog.allow_trackback; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.allow_trackback IS 'トラックバック設定';


--
-- Name: COLUMN bm_blog.allow_mail_summary; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.allow_mail_summary IS 'アクセス数通信';


--
-- Name: COLUMN bm_blog.allow_pulldown; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.allow_pulldown IS '過去記事のプルダウン表示';


--
-- Name: COLUMN bm_blog.open_comment; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.open_comment IS '公開：コメント';


--
-- Name: COLUMN bm_blog.date_format; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.date_format IS '年月日表記方法';


--
-- Name: COLUMN bm_blog.entry_email; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.entry_email IS 'メール投稿用メールアドレス';


--
-- Name: COLUMN bm_blog.deny_ranking; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.deny_ranking IS 'ランキング対象外フラグ';


--
-- Name: COLUMN bm_blog.add_info; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.add_info IS 'お知らせ掲載フラグ';


--
-- Name: COLUMN bm_blog.mailentry_public; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.mailentry_public IS 'メール投稿：公開設定';


--
-- Name: COLUMN bm_blog.topic; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.topic IS 'topicブログ';


--
-- Name: COLUMN bm_blog.allow_closed_comment; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.allow_closed_comment IS '非公開コメント';


--
-- Name: COLUMN bm_blog.sort_order; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.sort_order IS '表示順';


--
-- Name: COLUMN bm_blog.join_type; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.join_type IS '参加設定';


--
-- Name: COLUMN bm_blog.entry_admit; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.entry_admit IS '記事掲載承認';


--
-- Name: COLUMN bm_blog.allow_mail_join; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.allow_mail_join IS '参加／脱退申請メール通知（送信する、しない）';


--
-- Name: COLUMN bm_blog.allow_mail_entry_admit; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.allow_mail_entry_admit IS '掲載承認依頼メール';


--
-- Name: COLUMN bm_blog.allow_mail_open; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.allow_mail_open IS '掲載メール通知（送信する、しない）';


--
-- Name: COLUMN bm_blog.allow_mailentry; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.allow_mailentry IS 'メール投稿';


--
-- Name: COLUMN bm_blog.time_format; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.time_format IS '時刻表記方法';


--
-- Name: COLUMN bm_blog.auto_save; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.auto_save IS '自動保存設定';


--
-- Name: COLUMN bm_blog.auto_save_time; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.auto_save_time IS '自動保存間隔';


--
-- Name: COLUMN bm_blog.comment_captcha; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog.comment_captcha IS 'コメント投稿：画像認証';


--
-- Name: bm_blog_group; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bm_blog_group (
    blog_sys_id integer NOT NULL,
    id integer NOT NULL
);


ALTER TABLE public.bm_blog_group OWNER TO dnblog;

--
-- Name: TABLE bm_blog_group; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bm_blog_group IS 'ブログ参加グループ';


--
-- Name: COLUMN bm_blog_group.blog_sys_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog_group.blog_sys_id IS 'ブログシステムid';


--
-- Name: COLUMN bm_blog_group.id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog_group.id IS 'グループシステムid';


--
-- Name: bm_blog_user; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bm_blog_user (
    blog_sys_id integer NOT NULL,
    id integer NOT NULL,
    admin character(1) DEFAULT '0'::bpchar
);


ALTER TABLE public.bm_blog_user OWNER TO dnblog;

--
-- Name: TABLE bm_blog_user; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bm_blog_user IS 'ブログ参加ユーザー';


--
-- Name: COLUMN bm_blog_user.blog_sys_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog_user.blog_sys_id IS 'ブログシステムid';


--
-- Name: COLUMN bm_blog_user.id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog_user.id IS 'ユーザシステムid';


--
-- Name: COLUMN bm_blog_user.admin; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_blog_user.admin IS '権限';


--
-- Name: bm_directory; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bm_directory (
    directory_id integer NOT NULL,
    directory_name character varying(127),
    parent_id integer,
    sort_order integer,
    post_count integer
);


ALTER TABLE public.bm_directory OWNER TO dnblog;

--
-- Name: TABLE bm_directory; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bm_directory IS 'ディレクトリ';


--
-- Name: COLUMN bm_directory.directory_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_directory.directory_id IS 'ディレクトリid';


--
-- Name: COLUMN bm_directory.directory_name; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_directory.directory_name IS 'ディレクトリ名';


--
-- Name: COLUMN bm_directory.parent_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_directory.parent_id IS '親ディレクトリid';


--
-- Name: COLUMN bm_directory.sort_order; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_directory.sort_order IS 'ディレクトリ表示順';


--
-- Name: COLUMN bm_directory.post_count; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_directory.post_count IS '登録記事数';


--
-- Name: bm_setting; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bm_setting (
    setting_id integer NOT NULL,
    allow_public character(1),
    allow_comment character(1),
    allow_trackback character(1),
    allow_trackback_send character(1),
    allow_trackback_send_domain text,
    sizemax_file integer,
    sizemax_user integer,
    sizemax_all integer,
    allow_loging character(1),
    allow_mail_summary character(1),
    open_comment character(1) DEFAULT '0'::bpchar,
    pop3_server character varying(127),
    pop3_port integer,
    pop3_auth_kind character(1),
    pop3_auth_id character varying(127),
    pop3_auth_pass character varying(127),
    smtp_server character varying(127),
    smtp_port integer,
    smtp_add_msgid character(1),
    smtp_auth_kind character(1) DEFAULT '0'::bpchar,
    smtp_auth_id character varying(127),
    smtp_auth_pass character varying(127),
    send_mailaddress character varying(255),
    mail_timeout smallint,
    allow_extension character varying(255),
    start character varying(255),
    http_host character varying(255),
    logo_file_name character varying(255),
    logo_file_extension character varying(255),
    logo_mimetype character varying(127),
    logo_size bigint,
    logo_height integer,
    logo_width integer,
    logo_data bytea,
    portal_name character varying(255),
    db_version integer,
    allow_public_portal character(1) DEFAULT '0'::bpchar,
    allow_mail_capacity character(1) DEFAULT '0'::bpchar,
    capacity_threshold smallint DEFAULT 90,
    mail_send character(1) DEFAULT '0'::bpchar,
    mail_receive character(1) DEFAULT '0'::bpchar,
    pbs_server character varying(127),
    pbs_port integer,
    pbs_auth_kind character(1) DEFAULT '1'::bpchar,
    pbs_auth_id character varying(127),
    pbs_auth_pass character varying(127),
    word_save character(1) DEFAULT '0'::bpchar,
    word_lifetime smallint,
    word_alert smallint,
    name_internal character(1) DEFAULT '0'::bpchar,
    name_external character(1) DEFAULT '1'::bpchar,
    entry_admit character(1) DEFAULT '9'::bpchar,
    allow_closed_comment character(1) DEFAULT '9'::bpchar,
    access_log_start_date timestamp without time zone,
    allow_mail_join character(1) DEFAULT '9'::bpchar,
    allow_mail_entry_admit character(1) DEFAULT '9'::bpchar,
    allow_mail_open character(1) DEFAULT '9'::bpchar,
    use_logo character(1) DEFAULT '0'::bpchar,
    use_nuload character(1) DEFAULT '0'::bpchar,
    use_help character(1) DEFAULT '0'::bpchar,
    help_select_url character varying(1024),
    mail_entry_mailaddress character varying(255),
    word_lifetime_admin_off character(1) DEFAULT '1'::bpchar,
    upload_img_max_width smallint,
    auto_save character(1) DEFAULT '0'::bpchar,
    auto_save_time integer,
    password_required character(1) DEFAULT '1'::bpchar,
    password_length_min smallint,
    password_invalid_char character varying(255)
);


ALTER TABLE public.bm_setting OWNER TO dnblog;

--
-- Name: TABLE bm_setting; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bm_setting IS 'システム設定';


--
-- Name: COLUMN bm_setting.setting_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.setting_id IS '設定id';


--
-- Name: COLUMN bm_setting.allow_public; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.allow_public IS 'ゲストの訪問';


--
-- Name: COLUMN bm_setting.allow_comment; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.allow_comment IS 'コメント機能';


--
-- Name: COLUMN bm_setting.allow_trackback; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.allow_trackback IS 'トラックバック機能（受信）';


--
-- Name: COLUMN bm_setting.allow_trackback_send; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.allow_trackback_send IS 'トラックバック機能（送信）';


--
-- Name: COLUMN bm_setting.allow_trackback_send_domain; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.allow_trackback_send_domain IS '送信許可ドメイン';


--
-- Name: COLUMN bm_setting.sizemax_file; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.sizemax_file IS 'ファイル容量制限：１ファイル';


--
-- Name: COLUMN bm_setting.sizemax_user; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.sizemax_user IS 'ファイル容量制限：１ブログ';


--
-- Name: COLUMN bm_setting.sizemax_all; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.sizemax_all IS 'ファイル容量制限：全体';


--
-- Name: COLUMN bm_setting.allow_loging; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.allow_loging IS 'アクセス数集計';


--
-- Name: COLUMN bm_setting.allow_mail_summary; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.allow_mail_summary IS '通知メール：アクセス数解析';


--
-- Name: COLUMN bm_setting.open_comment; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.open_comment IS '公開：コメント';


--
-- Name: COLUMN bm_setting.pop3_server; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.pop3_server IS 'メール受信：ホスト名';


--
-- Name: COLUMN bm_setting.pop3_port; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.pop3_port IS 'メール受信：ポート番号';


--
-- Name: COLUMN bm_setting.pop3_auth_kind; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.pop3_auth_kind IS 'メール受信：認証方式';


--
-- Name: COLUMN bm_setting.pop3_auth_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.pop3_auth_id IS 'メール受信：ユーザ名';


--
-- Name: COLUMN bm_setting.pop3_auth_pass; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.pop3_auth_pass IS 'メール受信：パスワード';


--
-- Name: COLUMN bm_setting.smtp_server; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.smtp_server IS 'メール送信：ホスト名';


--
-- Name: COLUMN bm_setting.smtp_port; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.smtp_port IS 'メール送信：ポート番号';


--
-- Name: COLUMN bm_setting.smtp_add_msgid; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.smtp_add_msgid IS 'メール送信：message-id付加フラグ';


--
-- Name: COLUMN bm_setting.smtp_auth_kind; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.smtp_auth_kind IS 'メール送信：認証方式';


--
-- Name: COLUMN bm_setting.smtp_auth_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.smtp_auth_id IS 'メール送信：ユーザ名';


--
-- Name: COLUMN bm_setting.smtp_auth_pass; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.smtp_auth_pass IS 'メール送信：パスワード';


--
-- Name: COLUMN bm_setting.send_mailaddress; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.send_mailaddress IS '送信元メールアドレス';


--
-- Name: COLUMN bm_setting.mail_timeout; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.mail_timeout IS '接続タイムアウト';


--
-- Name: COLUMN bm_setting.allow_extension; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.allow_extension IS 'アップロード許可拡張子';


--
-- Name: COLUMN bm_setting.start; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.start IS '利用開始日';


--
-- Name: COLUMN bm_setting.http_host; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.http_host IS 'httpホスト';


--
-- Name: COLUMN bm_setting.logo_file_name; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.logo_file_name IS 'ロゴ：実ファイル名';


--
-- Name: COLUMN bm_setting.logo_file_extension; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.logo_file_extension IS 'ロゴ：拡張子';


--
-- Name: COLUMN bm_setting.logo_mimetype; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.logo_mimetype IS 'ロゴ：mime-type';


--
-- Name: COLUMN bm_setting.logo_size; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.logo_size IS 'ロゴ：ファイルサイズ';


--
-- Name: COLUMN bm_setting.logo_height; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.logo_height IS 'ロゴ：高さ';


--
-- Name: COLUMN bm_setting.logo_width; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.logo_width IS 'ロゴ：横幅';


--
-- Name: COLUMN bm_setting.logo_data; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.logo_data IS 'ロゴ：実データ';


--
-- Name: COLUMN bm_setting.portal_name; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.portal_name IS 'ポータル名';


--
-- Name: COLUMN bm_setting.db_version; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.db_version IS 'dbバージョン番号';


--
-- Name: COLUMN bm_setting.allow_public_portal; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.allow_public_portal IS 'ゲストの訪問（ポータル）';


--
-- Name: COLUMN bm_setting.allow_mail_capacity; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.allow_mail_capacity IS '容量制限：警告通知送信（送信する、しない）';


--
-- Name: COLUMN bm_setting.capacity_threshold; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.capacity_threshold IS '容量制限：警告通知閾値';


--
-- Name: COLUMN bm_setting.mail_send; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.mail_send IS 'メール送信（送信する、しない）';


--
-- Name: COLUMN bm_setting.mail_receive; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.mail_receive IS 'メール受信（受信する、しない）';


--
-- Name: COLUMN bm_setting.pbs_server; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.pbs_server IS 'pop before smtp：ホスト名';


--
-- Name: COLUMN bm_setting.pbs_port; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.pbs_port IS 'pop before smtp：ポート番号';


--
-- Name: COLUMN bm_setting.pbs_auth_kind; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.pbs_auth_kind IS 'pop before smtp：認証方式';


--
-- Name: COLUMN bm_setting.pbs_auth_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.pbs_auth_id IS 'pop before smtp：ユーザ名';


--
-- Name: COLUMN bm_setting.pbs_auth_pass; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.pbs_auth_pass IS 'pop before smtp：パスワード';


--
-- Name: COLUMN bm_setting.word_save; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.word_save IS 'パスワード保存';


--
-- Name: COLUMN bm_setting.word_lifetime; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.word_lifetime IS 'パスワード有効期限';


--
-- Name: COLUMN bm_setting.word_alert; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.word_alert IS 'パスワード有効期限警告開始日';


--
-- Name: COLUMN bm_setting.name_internal; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.name_internal IS '表示ユーザー名：内部';


--
-- Name: COLUMN bm_setting.name_external; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.name_external IS '表示ユーザー名：外部';


--
-- Name: COLUMN bm_setting.entry_admit; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.entry_admit IS '記事掲載承認';


--
-- Name: COLUMN bm_setting.allow_closed_comment; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.allow_closed_comment IS '非公開コメント';


--
-- Name: COLUMN bm_setting.access_log_start_date; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.access_log_start_date IS 'アクセス集計開始日時';


--
-- Name: COLUMN bm_setting.allow_mail_join; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.allow_mail_join IS '参加／脱退申請メール通知（送信する、しない）';


--
-- Name: COLUMN bm_setting.allow_mail_entry_admit; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.allow_mail_entry_admit IS '掲載承認依頼メール通知（送信する、しない）';


--
-- Name: COLUMN bm_setting.allow_mail_open; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.allow_mail_open IS '掲載メール通知（送信する、しない）';


--
-- Name: COLUMN bm_setting.use_logo; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.use_logo IS '使用ロゴ';


--
-- Name: COLUMN bm_setting.use_nuload; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.use_nuload IS 'web上からのバッチ起動(行う、行わない)';


--
-- Name: COLUMN bm_setting.use_help; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.use_help IS '使用ヘルプ';


--
-- Name: COLUMN bm_setting.help_select_url; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.help_select_url IS 'ローカルヘルプurl';


--
-- Name: COLUMN bm_setting.mail_entry_mailaddress; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.mail_entry_mailaddress IS 'メール投稿メールアドレス';


--
-- Name: COLUMN bm_setting.word_lifetime_admin_off; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.word_lifetime_admin_off IS 'パスワード有効期限管理者無効有無';


--
-- Name: COLUMN bm_setting.upload_img_max_width; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.upload_img_max_width IS 'アップロード画像ファイルの最大幅';


--
-- Name: COLUMN bm_setting.auto_save; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.auto_save IS '自動保存設定';


--
-- Name: COLUMN bm_setting.auto_save_time; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.auto_save_time IS '自動保存間隔';


--
-- Name: COLUMN bm_setting.password_required; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.password_required IS 'パスワードの入力規則：必須';


--
-- Name: COLUMN bm_setting.password_length_min; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.password_length_min IS 'パスワードの入力規則：文字数';


--
-- Name: COLUMN bm_setting.password_invalid_char; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_setting.password_invalid_char IS 'パスワードの入力規則：禁止文字';


--
-- Name: bm_template; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bm_template (
    template_id integer NOT NULL,
    template_name character varying(255),
    file_name character varying(255),
    file_extension character varying(255),
    mimetype character varying(127),
    size bigint,
    data bytea,
    html_main text,
    html_detail text,
    html_category text,
    css text,
    script text,
    base_template_flg character(1) DEFAULT '0'::bpchar,
    base_template_id integer,
    available_flg character(1) DEFAULT '0'::bpchar,
    create_date date,
    last_modify_date timestamp without time zone,
    sort_order integer,
    t_size integer
);


ALTER TABLE public.bm_template OWNER TO dnblog;

--
-- Name: TABLE bm_template; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bm_template IS 'テンプレート';


--
-- Name: COLUMN bm_template.template_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_template.template_id IS 'テンプレートid';


--
-- Name: COLUMN bm_template.template_name; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_template.template_name IS 'テンプレート名';


--
-- Name: COLUMN bm_template.file_name; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_template.file_name IS 'サンプル：実ファイル名';


--
-- Name: COLUMN bm_template.file_extension; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_template.file_extension IS 'サンプル：拡張子';


--
-- Name: COLUMN bm_template.mimetype; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_template.mimetype IS 'サンプル：mime-type';


--
-- Name: COLUMN bm_template.size; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_template.size IS 'サンプル：ファイルサイズ';


--
-- Name: COLUMN bm_template.data; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_template.data IS 'サンプル：実データ';


--
-- Name: COLUMN bm_template.html_main; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_template.html_main IS 'メインページhtml';


--
-- Name: COLUMN bm_template.html_detail; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_template.html_detail IS '記事別アーカイブhtml';


--
-- Name: COLUMN bm_template.html_category; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_template.html_category IS 'カテゴリー別アーカイブhtml';


--
-- Name: COLUMN bm_template.css; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_template.css IS 'スタイルシート';


--
-- Name: COLUMN bm_template.script; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_template.script IS 'javaスクリプト';


--
-- Name: COLUMN bm_template.base_template_flg; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_template.base_template_flg IS 'テンプレートフラグ';


--
-- Name: COLUMN bm_template.base_template_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_template.base_template_id IS '基本テンプレートid';


--
-- Name: COLUMN bm_template.available_flg; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_template.available_flg IS '確定フラグ';


--
-- Name: COLUMN bm_template.create_date; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_template.create_date IS '作成日';


--
-- Name: COLUMN bm_template.last_modify_date; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_template.last_modify_date IS '最終更新日';


--
-- Name: COLUMN bm_template.sort_order; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_template.sort_order IS '表示順';


--
-- Name: COLUMN bm_template.t_size; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bm_template.t_size IS '使用容量';


--
-- Name: bt_access; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bt_access (
    access_id bigint NOT NULL,
    blog_sys_id integer NOT NULL,
    user_sys_id integer,
    access_date timestamp without time zone,
    access_type character(1),
    url_to character varying(1024),
    url_from character varying(1024),
    remote_host character varying(127),
    user_agent character varying(1023),
    entry_id bigint
);


ALTER TABLE public.bt_access OWNER TO dnblog;

--
-- Name: TABLE bt_access; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bt_access IS 'アクセス数';


--
-- Name: COLUMN bt_access.access_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_access.access_id IS 'アクセスid';


--
-- Name: COLUMN bt_access.blog_sys_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_access.blog_sys_id IS 'ブログシステムid';


--
-- Name: COLUMN bt_access.user_sys_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_access.user_sys_id IS 'ユーザシステムid';


--
-- Name: COLUMN bt_access.access_date; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_access.access_date IS 'アクセス時刻';


--
-- Name: COLUMN bt_access.access_type; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_access.access_type IS 'アクセスタイプ';


--
-- Name: COLUMN bt_access.url_to; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_access.url_to IS 'アクセス先url';


--
-- Name: COLUMN bt_access.url_from; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_access.url_from IS 'アクセス元url';


--
-- Name: COLUMN bt_access.remote_host; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_access.remote_host IS 'リモートホスト';


--
-- Name: COLUMN bt_access.user_agent; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_access.user_agent IS 'useragent';


--
-- Name: COLUMN bt_access.entry_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_access.entry_id IS '投稿id';


--
-- Name: bt_access_ranking; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bt_access_ranking (
    ranking_id bigint NOT NULL,
    blog_sys_id integer NOT NULL,
    ranking_date date,
    ranking_count integer
);


ALTER TABLE public.bt_access_ranking OWNER TO dnblog;

--
-- Name: TABLE bt_access_ranking; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bt_access_ranking IS 'アクセス数ランキング';


--
-- Name: COLUMN bt_access_ranking.ranking_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_access_ranking.ranking_id IS 'ランキングid';


--
-- Name: COLUMN bt_access_ranking.blog_sys_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_access_ranking.blog_sys_id IS 'ブログシステムid';


--
-- Name: COLUMN bt_access_ranking.ranking_date; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_access_ranking.ranking_date IS '該当日';


--
-- Name: COLUMN bt_access_ranking.ranking_count; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_access_ranking.ranking_count IS 'アクセス数';


--
-- Name: bt_blog_access; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bt_blog_access (
    blog_sys_id integer NOT NULL,
    access_date character(8) NOT NULL,
    access_count integer
);


ALTER TABLE public.bt_blog_access OWNER TO dnblog;

--
-- Name: TABLE bt_blog_access; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bt_blog_access IS 'ブログアクセス数';


--
-- Name: COLUMN bt_blog_access.blog_sys_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_blog_access.blog_sys_id IS 'ブログシステムid';


--
-- Name: COLUMN bt_blog_access.access_date; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_blog_access.access_date IS 'アクセス年月日';


--
-- Name: COLUMN bt_blog_access.access_count; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_blog_access.access_count IS 'アクセス数';


--
-- Name: bt_blog_access_weekly; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bt_blog_access_weekly (
    blog_sys_id integer NOT NULL,
    access_count bigint NOT NULL
);


ALTER TABLE public.bt_blog_access_weekly OWNER TO dnblog;

--
-- Name: TABLE bt_blog_access_weekly; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bt_blog_access_weekly IS '週間ブログアクセス数';


--
-- Name: COLUMN bt_blog_access_weekly.blog_sys_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_blog_access_weekly.blog_sys_id IS 'ブログシステムid';


--
-- Name: COLUMN bt_blog_access_weekly.access_count; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_blog_access_weekly.access_count IS 'アクセス数';


--
-- Name: bt_blog_approval; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bt_blog_approval (
    blog_sys_id integer NOT NULL,
    id integer NOT NULL,
    application_date timestamp without time zone,
    type character(1)
);


ALTER TABLE public.bt_blog_approval OWNER TO dnblog;

--
-- Name: TABLE bt_blog_approval; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bt_blog_approval IS 'ブログ参加／脱退承認待ち';


--
-- Name: COLUMN bt_blog_approval.blog_sys_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_blog_approval.blog_sys_id IS 'ブログシステムid';


--
-- Name: COLUMN bt_blog_approval.id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_blog_approval.id IS 'ユーザシステムid';


--
-- Name: COLUMN bt_blog_approval.application_date; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_blog_approval.application_date IS '申請日時';


--
-- Name: COLUMN bt_blog_approval.type; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_blog_approval.type IS '加入脱退タイプ';


--
-- Name: bt_blog_entry_access; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bt_blog_entry_access (
    blog_sys_id integer NOT NULL,
    entry_id bigint NOT NULL,
    access_date character(8) NOT NULL,
    access_count integer
);


ALTER TABLE public.bt_blog_entry_access OWNER TO dnblog;

--
-- Name: TABLE bt_blog_entry_access; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bt_blog_entry_access IS 'ブログ投稿別アクセス数';


--
-- Name: COLUMN bt_blog_entry_access.blog_sys_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_blog_entry_access.blog_sys_id IS 'ブログシステムid';


--
-- Name: COLUMN bt_blog_entry_access.entry_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_blog_entry_access.entry_id IS '投稿id';


--
-- Name: COLUMN bt_blog_entry_access.access_date; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_blog_entry_access.access_date IS 'アクセス年月日';


--
-- Name: COLUMN bt_blog_entry_access.access_count; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_blog_entry_access.access_count IS 'アクセス数';


--
-- Name: bt_blog_size; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bt_blog_size (
    blog_sys_id integer NOT NULL,
    size bigint NOT NULL
);


ALTER TABLE public.bt_blog_size OWNER TO dnblog;

--
-- Name: TABLE bt_blog_size; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bt_blog_size IS 'ブログ使用容量';


--
-- Name: COLUMN bt_blog_size.blog_sys_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_blog_size.blog_sys_id IS 'ブログシステムid';


--
-- Name: COLUMN bt_blog_size.size; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_blog_size.size IS 'ブログ使用容量';


--
-- Name: bt_category; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bt_category (
    category_id integer NOT NULL,
    blog_sys_id integer NOT NULL,
    category_name character varying(127),
    sort_order integer,
    category_public character(1) DEFAULT '1'::bpchar
);


ALTER TABLE public.bt_category OWNER TO dnblog;

--
-- Name: TABLE bt_category; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bt_category IS 'カテゴリ';


--
-- Name: COLUMN bt_category.category_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_category.category_id IS 'カテゴリid';


--
-- Name: COLUMN bt_category.blog_sys_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_category.blog_sys_id IS 'ブログシステムid';


--
-- Name: COLUMN bt_category.category_name; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_category.category_name IS 'カテゴリ名';


--
-- Name: COLUMN bt_category.sort_order; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_category.sort_order IS 'カテゴリ表示順';


--
-- Name: COLUMN bt_category.category_public; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_category.category_public IS 'カテゴリ公開フラグ';


--
-- Name: bt_comment; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bt_comment (
    comment_id bigint NOT NULL,
    entry_id bigint NOT NULL,
    blog_sys_id integer NOT NULL,
    open_status character(1) DEFAULT '0'::bpchar,
    comment_title character varying(255),
    comment_text text,
    user_sys_id integer,
    comment_name character varying(255),
    comment_mail character varying(255),
    comment_url character varying(1024),
    comment_date timestamp without time zone,
    comment_ip character varying(63),
    size integer,
    word character varying(63),
    secret_flg character(1) DEFAULT '0'::bpchar
);


ALTER TABLE public.bt_comment OWNER TO dnblog;

--
-- Name: TABLE bt_comment; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bt_comment IS 'コメント';


--
-- Name: COLUMN bt_comment.comment_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_comment.comment_id IS 'コメントid';


--
-- Name: COLUMN bt_comment.entry_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_comment.entry_id IS '投稿id';


--
-- Name: COLUMN bt_comment.blog_sys_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_comment.blog_sys_id IS 'ブログシステムid';


--
-- Name: COLUMN bt_comment.open_status; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_comment.open_status IS '公開ステータス';


--
-- Name: COLUMN bt_comment.comment_title; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_comment.comment_title IS 'コメントタイトル';


--
-- Name: COLUMN bt_comment.comment_text; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_comment.comment_text IS 'コメント本文';


--
-- Name: COLUMN bt_comment.user_sys_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_comment.user_sys_id IS 'ユーザシステムid';


--
-- Name: COLUMN bt_comment.comment_name; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_comment.comment_name IS '未ログイン用：コメント投稿者';


--
-- Name: COLUMN bt_comment.comment_mail; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_comment.comment_mail IS '未ログイン用：メールアドレス';


--
-- Name: COLUMN bt_comment.comment_url; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_comment.comment_url IS '未ログイン用：url';


--
-- Name: COLUMN bt_comment.comment_date; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_comment.comment_date IS 'コメント日時';


--
-- Name: COLUMN bt_comment.comment_ip; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_comment.comment_ip IS 'コメント投稿ip';


--
-- Name: COLUMN bt_comment.size; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_comment.size IS '使用容量';


--
-- Name: COLUMN bt_comment.word; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_comment.word IS 'パスワード';


--
-- Name: COLUMN bt_comment.secret_flg; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_comment.secret_flg IS '非公開コメント有無';


--
-- Name: bt_entry; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bt_entry (
    entry_id bigint NOT NULL,
    blog_sys_id integer NOT NULL,
    directory_id integer,
    entry_user_id integer,
    entry_title character varying(255),
    entry_text text,
    entry_text_more text,
    entry_summary character varying(255),
    entry_date timestamp without time zone,
    trackback_url text,
    sent_trackback_url text,
    public_flg character(1) DEFAULT '0'::bpchar,
    public_date timestamp without time zone,
    newline character(1),
    size integer,
    admit character(1) DEFAULT '1'::bpchar,
    trackback_sent_count integer DEFAULT 0
);


ALTER TABLE public.bt_entry OWNER TO dnblog;

--
-- Name: TABLE bt_entry; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bt_entry IS '投稿';


--
-- Name: COLUMN bt_entry.entry_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry.entry_id IS '投稿id';


--
-- Name: COLUMN bt_entry.blog_sys_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry.blog_sys_id IS 'ブログシステムid';


--
-- Name: COLUMN bt_entry.directory_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry.directory_id IS 'ディレクトリid';


--
-- Name: COLUMN bt_entry.entry_user_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry.entry_user_id IS '投稿ユーザシステムid';


--
-- Name: COLUMN bt_entry.entry_title; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry.entry_title IS '投稿タイトル';


--
-- Name: COLUMN bt_entry.entry_text; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry.entry_text IS '投稿本文';


--
-- Name: COLUMN bt_entry.entry_text_more; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry.entry_text_more IS '投稿追記';


--
-- Name: COLUMN bt_entry.entry_summary; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry.entry_summary IS '投稿概要';


--
-- Name: COLUMN bt_entry.entry_date; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry.entry_date IS '投稿日時';


--
-- Name: COLUMN bt_entry.trackback_url; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry.trackback_url IS '未送信トラックバックurl';


--
-- Name: COLUMN bt_entry.sent_trackback_url; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry.sent_trackback_url IS '送信済トラックバックurl';


--
-- Name: COLUMN bt_entry.public_flg; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry.public_flg IS '公開状態';


--
-- Name: COLUMN bt_entry.public_date; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry.public_date IS '公開日時';


--
-- Name: COLUMN bt_entry.newline; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry.newline IS '改行有効有無';


--
-- Name: COLUMN bt_entry.size; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry.size IS '使用容量';


--
-- Name: COLUMN bt_entry.admit; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry.admit IS '承認フラグ';


--
-- Name: COLUMN bt_entry.trackback_sent_count; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry.trackback_sent_count IS 'トラックバック送信回数';


--
-- Name: bt_entry_category; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bt_entry_category (
    entry_id bigint NOT NULL,
    blog_sys_id integer NOT NULL,
    category_id integer NOT NULL,
    regist_date character(14)
);


ALTER TABLE public.bt_entry_category OWNER TO dnblog;

--
-- Name: TABLE bt_entry_category; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bt_entry_category IS '投稿カテゴリ';


--
-- Name: COLUMN bt_entry_category.entry_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry_category.entry_id IS '投稿id';


--
-- Name: COLUMN bt_entry_category.blog_sys_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry_category.blog_sys_id IS 'ブログシステムid';


--
-- Name: COLUMN bt_entry_category.category_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry_category.category_id IS 'カテゴリid';


--
-- Name: COLUMN bt_entry_category.regist_date; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry_category.regist_date IS '登録日時';


--
-- Name: bt_entry_tmp; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bt_entry_tmp (
    entry_id bigint NOT NULL,
    entry_user_id integer NOT NULL,
    blog_sys_id integer NOT NULL,
    directory_id integer,
    entry_title character varying(511),
    entry_text text,
    entry_text_more text,
    entry_summary character varying(511),
    trackback_url text,
    public_flg character(1) DEFAULT '0'::bpchar,
    public_date timestamp without time zone,
    category_id text,
    category_name text,
    regist_date timestamp without time zone,
    update_date timestamp without time zone
);


ALTER TABLE public.bt_entry_tmp OWNER TO dnblog;

--
-- Name: TABLE bt_entry_tmp; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bt_entry_tmp IS '投稿一時保存';


--
-- Name: COLUMN bt_entry_tmp.entry_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry_tmp.entry_id IS '投稿id';


--
-- Name: COLUMN bt_entry_tmp.entry_user_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry_tmp.entry_user_id IS '投稿ユーザシステムid';


--
-- Name: COLUMN bt_entry_tmp.blog_sys_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry_tmp.blog_sys_id IS 'ブログシステムid';


--
-- Name: COLUMN bt_entry_tmp.directory_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry_tmp.directory_id IS 'ディレクトリid';


--
-- Name: COLUMN bt_entry_tmp.entry_title; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry_tmp.entry_title IS '投稿タイトル';


--
-- Name: COLUMN bt_entry_tmp.entry_text; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry_tmp.entry_text IS '投稿本文';


--
-- Name: COLUMN bt_entry_tmp.entry_text_more; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry_tmp.entry_text_more IS '投稿追記';


--
-- Name: COLUMN bt_entry_tmp.entry_summary; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry_tmp.entry_summary IS '投稿概要';


--
-- Name: COLUMN bt_entry_tmp.trackback_url; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry_tmp.trackback_url IS '未送信トラックバックurl';


--
-- Name: COLUMN bt_entry_tmp.public_flg; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry_tmp.public_flg IS '公開状態';


--
-- Name: COLUMN bt_entry_tmp.public_date; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry_tmp.public_date IS '公開日時';


--
-- Name: COLUMN bt_entry_tmp.category_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry_tmp.category_id IS 'カテゴリid';


--
-- Name: COLUMN bt_entry_tmp.category_name; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry_tmp.category_name IS '新規カテゴリ名';


--
-- Name: COLUMN bt_entry_tmp.regist_date; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry_tmp.regist_date IS '登録日時';


--
-- Name: COLUMN bt_entry_tmp.update_date; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_entry_tmp.update_date IS '更新日時';


--
-- Name: bt_favorite; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bt_favorite (
    favorite_id integer NOT NULL,
    blog_sys_id integer NOT NULL,
    favorite_name character varying(127),
    favorite_url character varying(1024),
    favorite_description character varying(255),
    sort_order integer,
    favorite_public character(1) DEFAULT '0'::bpchar
);


ALTER TABLE public.bt_favorite OWNER TO dnblog;

--
-- Name: TABLE bt_favorite; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bt_favorite IS 'お気に入り';


--
-- Name: COLUMN bt_favorite.favorite_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_favorite.favorite_id IS 'お気に入りid';


--
-- Name: COLUMN bt_favorite.blog_sys_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_favorite.blog_sys_id IS 'ブログシステムid';


--
-- Name: COLUMN bt_favorite.favorite_name; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_favorite.favorite_name IS 'お気に入りサイト名';


--
-- Name: COLUMN bt_favorite.favorite_url; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_favorite.favorite_url IS 'お気に入りurl';


--
-- Name: COLUMN bt_favorite.favorite_description; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_favorite.favorite_description IS 'お気に入り説明';


--
-- Name: COLUMN bt_favorite.sort_order; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_favorite.sort_order IS 'お気に入り表示順';


--
-- Name: COLUMN bt_favorite.favorite_public; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_favorite.favorite_public IS 'お気に入り公開フラグ';


--
-- Name: bt_fileinfo; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bt_fileinfo (
    file_id bigint NOT NULL,
    blog_sys_id integer NOT NULL,
    file_name character varying(255),
    file_extension character varying(255),
    mimetype character varying(127),
    size integer,
    image_height integer,
    image_width integer,
    register_date timestamp without time zone,
    save_path character varying(255),
    data bytea,
    use_entry_flag character(1) DEFAULT '0'::bpchar,
    user_sys_id integer
);


ALTER TABLE public.bt_fileinfo OWNER TO dnblog;

--
-- Name: TABLE bt_fileinfo; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bt_fileinfo IS 'ファイル情報';


--
-- Name: COLUMN bt_fileinfo.file_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_fileinfo.file_id IS 'ファイルid';


--
-- Name: COLUMN bt_fileinfo.blog_sys_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_fileinfo.blog_sys_id IS 'ブログシステムid';


--
-- Name: COLUMN bt_fileinfo.file_name; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_fileinfo.file_name IS '実ファイル名';


--
-- Name: COLUMN bt_fileinfo.file_extension; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_fileinfo.file_extension IS '拡張子';


--
-- Name: COLUMN bt_fileinfo.mimetype; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_fileinfo.mimetype IS 'mime-type';


--
-- Name: COLUMN bt_fileinfo.size; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_fileinfo.size IS 'ファイルサイズ';


--
-- Name: COLUMN bt_fileinfo.image_height; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_fileinfo.image_height IS '画像：高さ';


--
-- Name: COLUMN bt_fileinfo.image_width; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_fileinfo.image_width IS '画像：横幅';


--
-- Name: COLUMN bt_fileinfo.register_date; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_fileinfo.register_date IS '登録日付';


--
-- Name: COLUMN bt_fileinfo.save_path; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_fileinfo.save_path IS '格納先ファイルパス';


--
-- Name: COLUMN bt_fileinfo.data; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_fileinfo.data IS '実データ';


--
-- Name: COLUMN bt_fileinfo.use_entry_flag; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_fileinfo.use_entry_flag IS '記事での使用有無';


--
-- Name: COLUMN bt_fileinfo.user_sys_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_fileinfo.user_sys_id IS '所有者';


--
-- Name: bt_keyword; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bt_keyword (
    keyword_id integer NOT NULL,
    blog_sys_id integer NOT NULL,
    entry_id bigint NOT NULL,
    keyword_name character varying(127)
);


ALTER TABLE public.bt_keyword OWNER TO dnblog;

--
-- Name: TABLE bt_keyword; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bt_keyword IS 'キーワード';


--
-- Name: COLUMN bt_keyword.keyword_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_keyword.keyword_id IS 'キーワードid';


--
-- Name: COLUMN bt_keyword.blog_sys_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_keyword.blog_sys_id IS 'ブログシステムid';


--
-- Name: COLUMN bt_keyword.entry_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_keyword.entry_id IS '投稿id';


--
-- Name: COLUMN bt_keyword.keyword_name; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_keyword.keyword_name IS 'キーワード文字列';


--
-- Name: bt_libura_login_info; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bt_libura_login_info (
    authentication_key character varying(32) NOT NULL,
    user_id integer,
    login_id character varying(1024),
    word character varying(1024),
    regist_date timestamp without time zone
);


ALTER TABLE public.bt_libura_login_info OWNER TO dnblog;

--
-- Name: TABLE bt_libura_login_info; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bt_libura_login_info IS 'liburaログイン入力省略情報';


--
-- Name: COLUMN bt_libura_login_info.authentication_key; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_libura_login_info.authentication_key IS '認証キー';


--
-- Name: COLUMN bt_libura_login_info.user_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_libura_login_info.user_id IS 'ユーザシステムid';


--
-- Name: COLUMN bt_libura_login_info.login_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_libura_login_info.login_id IS 'liburaid（メールアドレス)';


--
-- Name: COLUMN bt_libura_login_info.word; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_libura_login_info.word IS 'パスワード';


--
-- Name: COLUMN bt_libura_login_info.regist_date; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_libura_login_info.regist_date IS '登録日時';


--
-- Name: bt_license; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bt_license (
    host_id character varying(64) NOT NULL,
    termkind character(1) NOT NULL,
    lickey character varying(256),
    regist_date timestamp without time zone,
    update_date timestamp without time zone
);


ALTER TABLE public.bt_license OWNER TO dnblog;

--
-- Name: TABLE bt_license; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bt_license IS 'ライセンス情報';


--
-- Name: COLUMN bt_license.host_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_license.host_id IS 'お客様コード';


--
-- Name: COLUMN bt_license.termkind; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_license.termkind IS '種別';


--
-- Name: COLUMN bt_license.lickey; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_license.lickey IS 'ライセンスキー';


--
-- Name: COLUMN bt_license.regist_date; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_license.regist_date IS '登録日時';


--
-- Name: COLUMN bt_license.update_date; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_license.update_date IS '更新日時';


--
-- Name: bt_login_info; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bt_login_info (
    authentication_key character varying(32),
    user_id integer,
    regist_date timestamp without time zone
);


ALTER TABLE public.bt_login_info OWNER TO dnblog;

--
-- Name: TABLE bt_login_info; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bt_login_info IS 'ログイン入力省略情報';


--
-- Name: COLUMN bt_login_info.authentication_key; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_login_info.authentication_key IS '認証キー';


--
-- Name: COLUMN bt_login_info.user_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_login_info.user_id IS 'ユーザシステムid';


--
-- Name: COLUMN bt_login_info.regist_date; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_login_info.regist_date IS '登録日時';


--
-- Name: bt_process_log; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bt_process_log (
    name character varying(256) NOT NULL,
    data bytea
);


ALTER TABLE public.bt_process_log OWNER TO dnblog;

--
-- Name: TABLE bt_process_log; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bt_process_log IS '処理ログ';


--
-- Name: COLUMN bt_process_log.name; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_process_log.name IS '名称';


--
-- Name: COLUMN bt_process_log.data; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_process_log.data IS 'データ';


--
-- Name: bt_template_image; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bt_template_image (
    template_image_id bigint NOT NULL,
    template_id integer NOT NULL,
    image_id integer,
    file_name character varying(255),
    file_extension character varying(255),
    mimetype character varying(127),
    size integer,
    image_height integer,
    image_width integer,
    register_date timestamp without time zone,
    data bytea
);


ALTER TABLE public.bt_template_image OWNER TO dnblog;

--
-- Name: TABLE bt_template_image; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bt_template_image IS 'テンプレート部品情報';


--
-- Name: COLUMN bt_template_image.template_image_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_template_image.template_image_id IS 'テンプレート部品id';


--
-- Name: COLUMN bt_template_image.template_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_template_image.template_id IS 'テンプレートid';


--
-- Name: COLUMN bt_template_image.image_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_template_image.image_id IS '部品id';


--
-- Name: COLUMN bt_template_image.file_name; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_template_image.file_name IS '実ファイル名';


--
-- Name: COLUMN bt_template_image.file_extension; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_template_image.file_extension IS '拡張子';


--
-- Name: COLUMN bt_template_image.mimetype; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_template_image.mimetype IS 'mime-type';


--
-- Name: COLUMN bt_template_image.size; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_template_image.size IS 'ファイルサイズ';


--
-- Name: COLUMN bt_template_image.image_height; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_template_image.image_height IS '画像：高さ';


--
-- Name: COLUMN bt_template_image.image_width; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_template_image.image_width IS '画像：横幅';


--
-- Name: COLUMN bt_template_image.register_date; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_template_image.register_date IS '登録日付';


--
-- Name: COLUMN bt_template_image.data; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_template_image.data IS '実データ';


--
-- Name: bt_total_access; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bt_total_access (
    access_date character(8) NOT NULL,
    access_count bigint NOT NULL
);


ALTER TABLE public.bt_total_access OWNER TO dnblog;

--
-- Name: TABLE bt_total_access; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bt_total_access IS 'システムアクセス数';


--
-- Name: COLUMN bt_total_access.access_date; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_total_access.access_date IS 'アクセス年月日';


--
-- Name: COLUMN bt_total_access.access_count; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_total_access.access_count IS 'アクセス数';


--
-- Name: bt_trackback; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE bt_trackback (
    trackback_id bigint NOT NULL,
    entry_id bigint NOT NULL,
    blog_sys_id integer NOT NULL,
    open_status character(1) DEFAULT '0'::bpchar,
    trackback_date timestamp without time zone,
    trackback_url character varying(1024),
    trackback_title character varying(255),
    trackback_text text,
    trackback_name character varying(255),
    trackback_ip character varying(63),
    size integer
);


ALTER TABLE public.bt_trackback OWNER TO dnblog;

--
-- Name: TABLE bt_trackback; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE bt_trackback IS 'トラックバック';


--
-- Name: COLUMN bt_trackback.trackback_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_trackback.trackback_id IS 'トラックバックid';


--
-- Name: COLUMN bt_trackback.entry_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_trackback.entry_id IS '投稿id';


--
-- Name: COLUMN bt_trackback.blog_sys_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_trackback.blog_sys_id IS 'ブログシステムid';


--
-- Name: COLUMN bt_trackback.open_status; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_trackback.open_status IS '公開ステータス';


--
-- Name: COLUMN bt_trackback.trackback_date; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_trackback.trackback_date IS 'トラックバック日時';


--
-- Name: COLUMN bt_trackback.trackback_url; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_trackback.trackback_url IS 'トラックバックurl';


--
-- Name: COLUMN bt_trackback.trackback_title; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_trackback.trackback_title IS 'トラックバックタイトル';


--
-- Name: COLUMN bt_trackback.trackback_text; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_trackback.trackback_text IS 'トラックバック本文';


--
-- Name: COLUMN bt_trackback.trackback_name; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_trackback.trackback_name IS 'トラックバック元名称';


--
-- Name: COLUMN bt_trackback.trackback_ip; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_trackback.trackback_ip IS 'トラックバック送信ip';


--
-- Name: COLUMN bt_trackback.size; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN bt_trackback.size IS '使用容量';


--
-- Name: ptm_group; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE ptm_group (
    id integer NOT NULL,
    name character varying(255) NOT NULL,
    tel character varying(127),
    memo text,
    const_id character varying(39),
    orgconst_id character varying(59),
    seqno integer
);


ALTER TABLE public.ptm_group OWNER TO dnblog;

--
-- Name: TABLE ptm_group; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE ptm_group IS 'グループマスター';


--
-- Name: COLUMN ptm_group.id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_group.id IS 'グループシステムid';


--
-- Name: COLUMN ptm_group.name; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_group.name IS 'グループ名';


--
-- Name: COLUMN ptm_group.tel; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_group.tel IS 'グループ連絡先';


--
-- Name: COLUMN ptm_group.memo; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_group.memo IS 'グループメモ';


--
-- Name: COLUMN ptm_group.const_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_group.const_id IS '組織コード';


--
-- Name: COLUMN ptm_group.orgconst_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_group.orgconst_id IS '企業内組織コード';


--
-- Name: COLUMN ptm_group.seqno; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_group.seqno IS '表示順';


--
-- Name: ptm_group_user; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE ptm_group_user (
    id integer NOT NULL,
    sid_assign integer NOT NULL,
    const_id character varying(39),
    seqno integer,
    admin character(1) DEFAULT '0'::bpchar
);


ALTER TABLE public.ptm_group_user OWNER TO dnblog;

--
-- Name: TABLE ptm_group_user; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE ptm_group_user IS 'グループ所属マスター';


--
-- Name: COLUMN ptm_group_user.id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_group_user.id IS 'グループシステムid';


--
-- Name: COLUMN ptm_group_user.sid_assign; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_group_user.sid_assign IS 'ユーザシステムid';


--
-- Name: COLUMN ptm_group_user.const_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_group_user.const_id IS 'グループ組織コード';


--
-- Name: COLUMN ptm_group_user.seqno; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_group_user.seqno IS '表示順';


--
-- Name: COLUMN ptm_group_user.admin; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_group_user.admin IS 'ユーザーレベル';


--
-- Name: ptm_user; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE ptm_user (
    id integer NOT NULL,
    name character varying(255),
    kana character varying(255),
    kanano character(2),
    mail character varying(255),
    office character varying(255),
    dept1 character varying(255),
    dept2 character varying(255),
    post character varying(255),
    postcode character varying(63),
    tel1 character varying(63),
    tel2 character varying(63),
    naisen character varying(63),
    telfax character varying(63),
    telhome character varying(63),
    telother character varying(63),
    telhand character varying(63),
    userid character varying(63),
    mobileid character varying(63),
    defgroup integer,
    word character varying(63),
    admin character(1),
    gflg character(1),
    pda character(1),
    mailmobile character varying(255),
    mailprivate character varying(255),
    mailother character varying(255),
    mailclosecorp character(1),
    mailclosemobile character(1),
    mailcloseprivate character(1),
    mailcloseother character(1),
    mailusecorp character(1),
    mailusemobile character(1),
    mailuseprivate character(1),
    mailuseother character(1),
    seqno integer,
    pwdmoddate character(14),
    skype character varying(127),
    sendflg character(1) DEFAULT '0'::bpchar,
    sendtime_from time without time zone,
    sendtime_to time without time zone,
    profile text,
    deny_use character(1) DEFAULT '0'::bpchar,
    carrier_uid character varying(255),
    nickname character varying(255),
    last_modify_date character(14),
    defblog integer
);


ALTER TABLE public.ptm_user OWNER TO dnblog;

--
-- Name: TABLE ptm_user; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE ptm_user IS 'ユーザーマスター';


--
-- Name: COLUMN ptm_user.id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.id IS 'ユーザシステムid';


--
-- Name: COLUMN ptm_user.name; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.name IS 'ユーザー名';


--
-- Name: COLUMN ptm_user.kana; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.kana IS 'ユーザー名ふりがな';


--
-- Name: COLUMN ptm_user.kanano; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.kanano IS 'ユーザー名ふりがな番号';


--
-- Name: COLUMN ptm_user.mail; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.mail IS 'ユーザーメールアドレス';


--
-- Name: COLUMN ptm_user.office; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.office IS '事業所';


--
-- Name: COLUMN ptm_user.dept1; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.dept1 IS '部署１';


--
-- Name: COLUMN ptm_user.dept2; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.dept2 IS '部署２';


--
-- Name: COLUMN ptm_user.post; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.post IS '役職';


--
-- Name: COLUMN ptm_user.postcode; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.postcode IS '役職コード';


--
-- Name: COLUMN ptm_user.tel1; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.tel1 IS '電話番号勤務先';


--
-- Name: COLUMN ptm_user.tel2; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.tel2 IS '電話番号勤務先2';


--
-- Name: COLUMN ptm_user.naisen; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.naisen IS '電話番号内線';


--
-- Name: COLUMN ptm_user.telfax; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.telfax IS '電話番号fax';


--
-- Name: COLUMN ptm_user.telhome; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.telhome IS '電話番号自宅';


--
-- Name: COLUMN ptm_user.telother; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.telother IS '電話番号自宅2';


--
-- Name: COLUMN ptm_user.telhand; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.telhand IS '電話番号携帯';


--
-- Name: COLUMN ptm_user.userid; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.userid IS 'ログインid';


--
-- Name: COLUMN ptm_user.mobileid; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.mobileid IS 'モバイルid';


--
-- Name: COLUMN ptm_user.defgroup; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.defgroup IS '初期表示グループ';


--
-- Name: COLUMN ptm_user.word; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.word IS 'ユーザーパスワード';


--
-- Name: COLUMN ptm_user.admin; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.admin IS 'ユーザーレベル';


--
-- Name: COLUMN ptm_user.gflg; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.gflg IS 'グループ所属有無';


--
-- Name: COLUMN ptm_user.pda; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.pda IS 'pda使用有無';


--
-- Name: COLUMN ptm_user.mailmobile; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.mailmobile IS '携帯メールアドレス';


--
-- Name: COLUMN ptm_user.mailprivate; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.mailprivate IS '個人メールアドレス';


--
-- Name: COLUMN ptm_user.mailother; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.mailother IS 'その他メールアドレス';


--
-- Name: COLUMN ptm_user.mailclosecorp; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.mailclosecorp IS '会社メールアドレス公開有無';


--
-- Name: COLUMN ptm_user.mailclosemobile; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.mailclosemobile IS '携帯メールアドレス公開有無';


--
-- Name: COLUMN ptm_user.mailcloseprivate; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.mailcloseprivate IS '個人メールアドレス公開有無';


--
-- Name: COLUMN ptm_user.mailcloseother; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.mailcloseother IS 'その他メールアドレス公開有無';


--
-- Name: COLUMN ptm_user.mailusecorp; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.mailusecorp IS '会社メールアドレス使用有無';


--
-- Name: COLUMN ptm_user.mailusemobile; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.mailusemobile IS '携帯メールアドレス使用有無';


--
-- Name: COLUMN ptm_user.mailuseprivate; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.mailuseprivate IS '個人メールアドレス使用有無';


--
-- Name: COLUMN ptm_user.mailuseother; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.mailuseother IS 'その他メールアドレス使用有無';


--
-- Name: COLUMN ptm_user.seqno; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.seqno IS '表示順';


--
-- Name: COLUMN ptm_user.pwdmoddate; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.pwdmoddate IS 'パスワード更新日時';


--
-- Name: COLUMN ptm_user.skype; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.skype IS 'スカイプid';


--
-- Name: COLUMN ptm_user.sendflg; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.sendflg IS 'メール送信時間帯：設定フラグ';


--
-- Name: COLUMN ptm_user.sendtime_from; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.sendtime_from IS 'メール送信時間帯：から';


--
-- Name: COLUMN ptm_user.sendtime_to; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.sendtime_to IS 'メール送信時間帯：まで';


--
-- Name: COLUMN ptm_user.profile; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.profile IS '自己紹介';


--
-- Name: COLUMN ptm_user.deny_use; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.deny_use IS '使用不可フラグ';


--
-- Name: COLUMN ptm_user.carrier_uid; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.carrier_uid IS '端末識別id';


--
-- Name: COLUMN ptm_user.nickname; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.nickname IS 'ニックネーム';


--
-- Name: COLUMN ptm_user.last_modify_date; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.last_modify_date IS '最終更新日';


--
-- Name: COLUMN ptm_user.defblog; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN ptm_user.defblog IS '初期表示ブログ';


--
-- Name: sessions; Type: TABLE; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE TABLE sessions (
    session_id character varying(32) NOT NULL,
    data text,
    access_date integer
);


ALTER TABLE public.sessions OWNER TO dnblog;

--
-- Name: TABLE sessions; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON TABLE sessions IS 'セッション';


--
-- Name: COLUMN sessions.session_id; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN sessions.session_id IS 'セッションid';


--
-- Name: COLUMN sessions.data; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN sessions.data IS 'セッション情報';


--
-- Name: COLUMN sessions.access_date; Type: COMMENT; Schema: public; Owner: dnblog
--

COMMENT ON COLUMN sessions.access_date IS '接続時間';


--
-- Name: func_trig_bt_access_entry_id(); Type: FUNCTION; Schema: public; Owner: dnblog
--

CREATE FUNCTION func_trig_bt_access_entry_id() RETURNS trigger
    AS $$
declare
    i_entry_id    integer;        -- 投稿ID
    i_blog_sys_id integer;        -- ブログ投稿別アクセスレコード
    s_access_date char(8);        -- アクセス日時
begin
    -- INSERT
    if (tg_op = 'INSERT') then

        -- ブログのトップページを参照？
        if (new.entry_id = '-1') then

            -- 最新の投稿情報を取得
            select
                entry_id
                into i_entry_id
            from
                bt_entry
            where
                blog_sys_id = new.blog_sys_id
            and
               (public_flg='0' OR (public_flg='2' AND public_date <= now() ) )
            and 
                admit='1'
            order by
                entry_date desc, entry_id desc
            limit 1
                ;

            -- 最新の投稿情報が存在しない
            if (i_entry_id <= 0) then
                new.entry_id := null;
            else 
                new.entry_id := i_entry_id;
            end if;
        -- その他のページ
        else

            -- 最新の投稿情報を取得
            select
                count(*)
                into i_entry_id
            from
                bt_entry
            where
                blog_sys_id = new.blog_sys_id
            and
                entry_id = new.entry_id
            and
               (public_flg='0' OR (public_flg='2' AND public_date <= now() ) )
            and 
                admit='1';

            -- 記事別ページ有
            if (i_entry_id <= '0') then
                new.entry_id := null;
            end if;
        end if;

        -- 投稿IDが存在する？
        if (new.entry_id > '0') then

            -- アクセス日時を設定する
            s_access_date := TO_CHAR(new.access_date, 'YYYYMMDD'); 

            -- 投稿別アクセステーブルのレコードを取得
            select
                blog_sys_id
                into i_blog_sys_id
            from
                bt_blog_entry_access
            where
                blog_sys_id = new.blog_sys_id
                and entry_id = new.entry_id
                and access_date = s_access_date
            for update;

            -- 行が存在する
            if (i_blog_sys_id > 0) then

                -- 投稿別アクセス数を＋１する
                update
                    bt_blog_entry_access
                set
                    access_count = access_count + 1
                where
                    blog_sys_id = new.blog_sys_id
                    and entry_id = new.entry_id
                    and access_date = s_access_date;
            -- レコードなし
            else
                begin
                    -- 投稿別アクセス数データを登録する
                    insert into
                        bt_blog_entry_access
                    (
                        blog_sys_id
                        , entry_id
                        , access_date
                        , access_count
                    ) values (
                        new.blog_sys_id
                        , new.entry_id
                        , s_access_date
                        , 1
                    );

                -- 二重登録でエラーの場合
                exception when unique_violation then
                    -- 何もしない
                end;
            end if;
        end if;
    end if;

    -- 正常終了
    return new;
end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.func_trig_bt_access_entry_id() OWNER TO dnblog;

--
-- Name: bm_blog_blog_sys_id_seq; Type: SEQUENCE; Schema: public; Owner: dnblog
--

CREATE SEQUENCE bm_blog_blog_sys_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.bm_blog_blog_sys_id_seq OWNER TO dnblog;

--
-- Name: bm_blog_blog_sys_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: dnblog
--

ALTER SEQUENCE bm_blog_blog_sys_id_seq OWNED BY bm_blog.blog_sys_id;


--
-- Name: bm_blog_blog_sys_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dnblog
--

SELECT pg_catalog.setval('bm_blog_blog_sys_id_seq', 6, true);


--
-- Name: bm_directory_directory_id_seq; Type: SEQUENCE; Schema: public; Owner: dnblog
--

CREATE SEQUENCE bm_directory_directory_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.bm_directory_directory_id_seq OWNER TO dnblog;

--
-- Name: bm_directory_directory_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: dnblog
--

ALTER SEQUENCE bm_directory_directory_id_seq OWNED BY bm_directory.directory_id;


--
-- Name: bm_directory_directory_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dnblog
--

SELECT pg_catalog.setval('bm_directory_directory_id_seq', 27, true);


--
-- Name: bm_template_template_id_seq; Type: SEQUENCE; Schema: public; Owner: dnblog
--

CREATE SEQUENCE bm_template_template_id_seq
    START WITH 1000
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.bm_template_template_id_seq OWNER TO dnblog;

--
-- Name: bm_template_template_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: dnblog
--

ALTER SEQUENCE bm_template_template_id_seq OWNED BY bm_template.template_id;


--
-- Name: bm_template_template_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dnblog
--

SELECT pg_catalog.setval('bm_template_template_id_seq', 1000, false);


--
-- Name: bt_access_access_id_seq; Type: SEQUENCE; Schema: public; Owner: dnblog
--

CREATE SEQUENCE bt_access_access_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.bt_access_access_id_seq OWNER TO dnblog;

--
-- Name: bt_access_access_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: dnblog
--

ALTER SEQUENCE bt_access_access_id_seq OWNED BY bt_access.access_id;


--
-- Name: bt_access_access_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dnblog
--

SELECT pg_catalog.setval('bt_access_access_id_seq', 1, false);


--
-- Name: bt_access_ranking_ranking_id_seq; Type: SEQUENCE; Schema: public; Owner: dnblog
--

CREATE SEQUENCE bt_access_ranking_ranking_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.bt_access_ranking_ranking_id_seq OWNER TO dnblog;

--
-- Name: bt_access_ranking_ranking_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: dnblog
--

ALTER SEQUENCE bt_access_ranking_ranking_id_seq OWNED BY bt_access_ranking.ranking_id;


--
-- Name: bt_access_ranking_ranking_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dnblog
--

SELECT pg_catalog.setval('bt_access_ranking_ranking_id_seq', 1, false);


--
-- Name: bt_blog_access_weekly_access_count_seq; Type: SEQUENCE; Schema: public; Owner: dnblog
--

CREATE SEQUENCE bt_blog_access_weekly_access_count_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.bt_blog_access_weekly_access_count_seq OWNER TO dnblog;

--
-- Name: bt_blog_access_weekly_access_count_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: dnblog
--

ALTER SEQUENCE bt_blog_access_weekly_access_count_seq OWNED BY bt_blog_access_weekly.access_count;


--
-- Name: bt_blog_access_weekly_access_count_seq; Type: SEQUENCE SET; Schema: public; Owner: dnblog
--

SELECT pg_catalog.setval('bt_blog_access_weekly_access_count_seq', 1, false);


--
-- Name: bt_blog_size_size_seq; Type: SEQUENCE; Schema: public; Owner: dnblog
--

CREATE SEQUENCE bt_blog_size_size_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.bt_blog_size_size_seq OWNER TO dnblog;

--
-- Name: bt_blog_size_size_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: dnblog
--

ALTER SEQUENCE bt_blog_size_size_seq OWNED BY bt_blog_size.size;


--
-- Name: bt_blog_size_size_seq; Type: SEQUENCE SET; Schema: public; Owner: dnblog
--

SELECT pg_catalog.setval('bt_blog_size_size_seq', 1, false);


--
-- Name: bt_category_category_id_seq; Type: SEQUENCE; Schema: public; Owner: dnblog
--

CREATE SEQUENCE bt_category_category_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.bt_category_category_id_seq OWNER TO dnblog;

--
-- Name: bt_category_category_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: dnblog
--

ALTER SEQUENCE bt_category_category_id_seq OWNED BY bt_category.category_id;


--
-- Name: bt_category_category_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dnblog
--

SELECT pg_catalog.setval('bt_category_category_id_seq', 4, true);


--
-- Name: bt_comment_comment_id_seq; Type: SEQUENCE; Schema: public; Owner: dnblog
--

CREATE SEQUENCE bt_comment_comment_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.bt_comment_comment_id_seq OWNER TO dnblog;

--
-- Name: bt_comment_comment_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: dnblog
--

ALTER SEQUENCE bt_comment_comment_id_seq OWNED BY bt_comment.comment_id;


--
-- Name: bt_comment_comment_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dnblog
--

SELECT pg_catalog.setval('bt_comment_comment_id_seq', 2, true);


--
-- Name: bt_entry_entry_id_seq; Type: SEQUENCE; Schema: public; Owner: dnblog
--

CREATE SEQUENCE bt_entry_entry_id_seq
    START WITH 7
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.bt_entry_entry_id_seq OWNER TO dnblog;

--
-- Name: bt_entry_entry_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: dnblog
--

ALTER SEQUENCE bt_entry_entry_id_seq OWNED BY bt_entry.entry_id;


--
-- Name: bt_entry_entry_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dnblog
--

SELECT pg_catalog.setval('bt_entry_entry_id_seq', 7, false);


--
-- Name: bt_favorite_favorite_id_seq; Type: SEQUENCE; Schema: public; Owner: dnblog
--

CREATE SEQUENCE bt_favorite_favorite_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.bt_favorite_favorite_id_seq OWNER TO dnblog;

--
-- Name: bt_favorite_favorite_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: dnblog
--

ALTER SEQUENCE bt_favorite_favorite_id_seq OWNED BY bt_favorite.favorite_id;


--
-- Name: bt_favorite_favorite_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dnblog
--

SELECT pg_catalog.setval('bt_favorite_favorite_id_seq', 2, true);


--
-- Name: bt_fileinfo_file_id_seq; Type: SEQUENCE; Schema: public; Owner: dnblog
--

CREATE SEQUENCE bt_fileinfo_file_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.bt_fileinfo_file_id_seq OWNER TO dnblog;

--
-- Name: bt_fileinfo_file_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: dnblog
--

ALTER SEQUENCE bt_fileinfo_file_id_seq OWNED BY bt_fileinfo.file_id;


--
-- Name: bt_fileinfo_file_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dnblog
--

SELECT pg_catalog.setval('bt_fileinfo_file_id_seq', 3, true);


--
-- Name: bt_keyword_keyword_id_seq; Type: SEQUENCE; Schema: public; Owner: dnblog
--

CREATE SEQUENCE bt_keyword_keyword_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.bt_keyword_keyword_id_seq OWNER TO dnblog;

--
-- Name: bt_keyword_keyword_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: dnblog
--

ALTER SEQUENCE bt_keyword_keyword_id_seq OWNED BY bt_keyword.keyword_id;


--
-- Name: bt_keyword_keyword_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dnblog
--

SELECT pg_catalog.setval('bt_keyword_keyword_id_seq', 5, true);


--
-- Name: bt_template_image_template_image_id_seq; Type: SEQUENCE; Schema: public; Owner: dnblog
--

CREATE SEQUENCE bt_template_image_template_image_id_seq
    START WITH 10000
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.bt_template_image_template_image_id_seq OWNER TO dnblog;

--
-- Name: bt_template_image_template_image_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: dnblog
--

ALTER SEQUENCE bt_template_image_template_image_id_seq OWNED BY bt_template_image.template_image_id;


--
-- Name: bt_template_image_template_image_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dnblog
--

SELECT pg_catalog.setval('bt_template_image_template_image_id_seq', 10000, false);


--
-- Name: bt_total_access_access_count_seq; Type: SEQUENCE; Schema: public; Owner: dnblog
--

CREATE SEQUENCE bt_total_access_access_count_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.bt_total_access_access_count_seq OWNER TO dnblog;

--
-- Name: bt_total_access_access_count_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: dnblog
--

ALTER SEQUENCE bt_total_access_access_count_seq OWNED BY bt_total_access.access_count;


--
-- Name: bt_total_access_access_count_seq; Type: SEQUENCE SET; Schema: public; Owner: dnblog
--

SELECT pg_catalog.setval('bt_total_access_access_count_seq', 1, false);


--
-- Name: bt_trackback_trackback_id_seq; Type: SEQUENCE; Schema: public; Owner: dnblog
--

CREATE SEQUENCE bt_trackback_trackback_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.bt_trackback_trackback_id_seq OWNER TO dnblog;

--
-- Name: bt_trackback_trackback_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: dnblog
--

ALTER SEQUENCE bt_trackback_trackback_id_seq OWNED BY bt_trackback.trackback_id;


--
-- Name: bt_trackback_trackback_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dnblog
--

SELECT pg_catalog.setval('bt_trackback_trackback_id_seq', 1, true);


--
-- Name: ptm_group_id_seq; Type: SEQUENCE; Schema: public; Owner: dnblog
--

CREATE SEQUENCE ptm_group_id_seq
    START WITH 6
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ptm_group_id_seq OWNER TO dnblog;

--
-- Name: ptm_group_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: dnblog
--

ALTER SEQUENCE ptm_group_id_seq OWNED BY ptm_group.id;


--
-- Name: ptm_group_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dnblog
--

SELECT pg_catalog.setval('ptm_group_id_seq', 6, false);


--
-- Name: ptm_user_id_seq; Type: SEQUENCE; Schema: public; Owner: dnblog
--

CREATE SEQUENCE ptm_user_id_seq
    START WITH 5
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ptm_user_id_seq OWNER TO dnblog;

--
-- Name: ptm_user_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: dnblog
--

ALTER SEQUENCE ptm_user_id_seq OWNED BY ptm_user.id;


--
-- Name: ptm_user_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dnblog
--

SELECT pg_catalog.setval('ptm_user_id_seq', 5, false);


--
-- Name: blog_sys_id; Type: DEFAULT; Schema: public; Owner: dnblog
--

ALTER TABLE bm_blog ALTER COLUMN blog_sys_id SET DEFAULT nextval('bm_blog_blog_sys_id_seq'::regclass);


--
-- Name: directory_id; Type: DEFAULT; Schema: public; Owner: dnblog
--

ALTER TABLE bm_directory ALTER COLUMN directory_id SET DEFAULT nextval('bm_directory_directory_id_seq'::regclass);


--
-- Name: template_id; Type: DEFAULT; Schema: public; Owner: dnblog
--

ALTER TABLE bm_template ALTER COLUMN template_id SET DEFAULT nextval('bm_template_template_id_seq'::regclass);


--
-- Name: access_id; Type: DEFAULT; Schema: public; Owner: dnblog
--

ALTER TABLE bt_access ALTER COLUMN access_id SET DEFAULT nextval('bt_access_access_id_seq'::regclass);


--
-- Name: ranking_id; Type: DEFAULT; Schema: public; Owner: dnblog
--

ALTER TABLE bt_access_ranking ALTER COLUMN ranking_id SET DEFAULT nextval('bt_access_ranking_ranking_id_seq'::regclass);


--
-- Name: access_count; Type: DEFAULT; Schema: public; Owner: dnblog
--

ALTER TABLE bt_blog_access_weekly ALTER COLUMN access_count SET DEFAULT nextval('bt_blog_access_weekly_access_count_seq'::regclass);


--
-- Name: size; Type: DEFAULT; Schema: public; Owner: dnblog
--

ALTER TABLE bt_blog_size ALTER COLUMN size SET DEFAULT nextval('bt_blog_size_size_seq'::regclass);


--
-- Name: category_id; Type: DEFAULT; Schema: public; Owner: dnblog
--

ALTER TABLE bt_category ALTER COLUMN category_id SET DEFAULT nextval('bt_category_category_id_seq'::regclass);


--
-- Name: comment_id; Type: DEFAULT; Schema: public; Owner: dnblog
--

ALTER TABLE bt_comment ALTER COLUMN comment_id SET DEFAULT nextval('bt_comment_comment_id_seq'::regclass);


--
-- Name: entry_id; Type: DEFAULT; Schema: public; Owner: dnblog
--

ALTER TABLE bt_entry ALTER COLUMN entry_id SET DEFAULT nextval('bt_entry_entry_id_seq'::regclass);


--
-- Name: favorite_id; Type: DEFAULT; Schema: public; Owner: dnblog
--

ALTER TABLE bt_favorite ALTER COLUMN favorite_id SET DEFAULT nextval('bt_favorite_favorite_id_seq'::regclass);


--
-- Name: file_id; Type: DEFAULT; Schema: public; Owner: dnblog
--

ALTER TABLE bt_fileinfo ALTER COLUMN file_id SET DEFAULT nextval('bt_fileinfo_file_id_seq'::regclass);


--
-- Name: keyword_id; Type: DEFAULT; Schema: public; Owner: dnblog
--

ALTER TABLE bt_keyword ALTER COLUMN keyword_id SET DEFAULT nextval('bt_keyword_keyword_id_seq'::regclass);


--
-- Name: template_image_id; Type: DEFAULT; Schema: public; Owner: dnblog
--

ALTER TABLE bt_template_image ALTER COLUMN template_image_id SET DEFAULT nextval('bt_template_image_template_image_id_seq'::regclass);


--
-- Name: access_count; Type: DEFAULT; Schema: public; Owner: dnblog
--

ALTER TABLE bt_total_access ALTER COLUMN access_count SET DEFAULT nextval('bt_total_access_access_count_seq'::regclass);


--
-- Name: trackback_id; Type: DEFAULT; Schema: public; Owner: dnblog
--

ALTER TABLE bt_trackback ALTER COLUMN trackback_id SET DEFAULT nextval('bt_trackback_trackback_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: dnblog
--

ALTER TABLE ptm_group ALTER COLUMN id SET DEFAULT nextval('ptm_group_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: dnblog
--

ALTER TABLE ptm_user ALTER COLUMN id SET DEFAULT nextval('ptm_user_id_seq'::regclass);


--
-- Data for Name: bm_allow_mod_user_setting; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bm_allow_mod_user_setting (name, kana, nickname, userid, mail, mailmobile, mailprivate, mailother, mailusecorp, mailusemobile, mailuseprivate, mailuseother, mailclose, defblog, word) FROM stdin;
\.
copy bm_allow_mod_user_setting (name, kana, nickname, userid, mail, mailmobile, mailprivate, mailother, mailusecorp, mailusemobile, mailuseprivate, mailuseother, mailclose, defblog, word)  from '$$PATH$$/2126.dat' ;
--
-- Data for Name: bm_attach_user; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bm_attach_user (blog_sys_id, file_name, file_extension, mimetype, size, data) FROM stdin;
\.
copy bm_attach_user (blog_sys_id, file_name, file_extension, mimetype, size, data)  from '$$PATH$$/2107.dat' ;
--
-- Data for Name: bm_blog; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bm_blog (blog_sys_id, blog_id, blog_type, blog_status, template_id, blog_name, blog_description, blog_limit_top, blog_limit_archive, allow_public, allow_comment, allow_trackback, allow_mail_summary, allow_pulldown, open_comment, date_format, entry_email, deny_ranking, add_info, mailentry_public, topic, allow_closed_comment, sort_order, join_type, entry_admit, allow_mail_join, allow_mail_entry_admit, allow_mail_open, allow_mailentry, time_format, auto_save, auto_save_time, comment_captcha) FROM stdin;
\.
copy bm_blog (blog_sys_id, blog_id, blog_type, blog_status, template_id, blog_name, blog_description, blog_limit_top, blog_limit_archive, allow_public, allow_comment, allow_trackback, allow_mail_summary, allow_pulldown, open_comment, date_format, entry_email, deny_ranking, add_info, mailentry_public, topic, allow_closed_comment, sort_order, join_type, entry_admit, allow_mail_join, allow_mail_entry_admit, allow_mail_open, allow_mailentry, time_format, auto_save, auto_save_time, comment_captcha)  from '$$PATH$$/2103.dat' ;
--
-- Data for Name: bm_blog_group; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bm_blog_group (blog_sys_id, id) FROM stdin;
\.
copy bm_blog_group (blog_sys_id, id)  from '$$PATH$$/2120.dat' ;
--
-- Data for Name: bm_blog_user; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bm_blog_user (blog_sys_id, id, admin) FROM stdin;
\.
copy bm_blog_user (blog_sys_id, id, admin)  from '$$PATH$$/2121.dat' ;
--
-- Data for Name: bm_directory; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bm_directory (directory_id, directory_name, parent_id, sort_order, post_count) FROM stdin;
\.
copy bm_directory (directory_id, directory_name, parent_id, sort_order, post_count)  from '$$PATH$$/2113.dat' ;
--
-- Data for Name: bm_setting; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bm_setting (setting_id, allow_public, allow_comment, allow_trackback, allow_trackback_send, allow_trackback_send_domain, sizemax_file, sizemax_user, sizemax_all, allow_loging, allow_mail_summary, open_comment, pop3_server, pop3_port, pop3_auth_kind, pop3_auth_id, pop3_auth_pass, smtp_server, smtp_port, smtp_add_msgid, smtp_auth_kind, smtp_auth_id, smtp_auth_pass, send_mailaddress, mail_timeout, allow_extension, start, http_host, logo_file_name, logo_file_extension, logo_mimetype, logo_size, logo_height, logo_width, logo_data, portal_name, db_version, allow_public_portal, allow_mail_capacity, capacity_threshold, mail_send, mail_receive, pbs_server, pbs_port, pbs_auth_kind, pbs_auth_id, pbs_auth_pass, word_save, word_lifetime, word_alert, name_internal, name_external, entry_admit, allow_closed_comment, access_log_start_date, allow_mail_join, allow_mail_entry_admit, allow_mail_open, use_logo, use_nuload, use_help, help_select_url, mail_entry_mailaddress, word_lifetime_admin_off, upload_img_max_width, auto_save, auto_save_time, password_required, password_length_min, password_invalid_char) FROM stdin;
\.
copy bm_setting (setting_id, allow_public, allow_comment, allow_trackback, allow_trackback_send, allow_trackback_send_domain, sizemax_file, sizemax_user, sizemax_all, allow_loging, allow_mail_summary, open_comment, pop3_server, pop3_port, pop3_auth_kind, pop3_auth_id, pop3_auth_pass, smtp_server, smtp_port, smtp_add_msgid, smtp_auth_kind, smtp_auth_id, smtp_auth_pass, send_mailaddress, mail_timeout, allow_extension, start, http_host, logo_file_name, logo_file_extension, logo_mimetype, logo_size, logo_height, logo_width, logo_data, portal_name, db_version, allow_public_portal, allow_mail_capacity, capacity_threshold, mail_send, mail_receive, pbs_server, pbs_port, pbs_auth_kind, pbs_auth_id, pbs_auth_pass, word_save, word_lifetime, word_alert, name_internal, name_external, entry_admit, allow_closed_comment, access_log_start_date, allow_mail_join, allow_mail_entry_admit, allow_mail_open, use_logo, use_nuload, use_help, help_select_url, mail_entry_mailaddress, word_lifetime_admin_off, upload_img_max_width, auto_save, auto_save_time, password_required, password_length_min, password_invalid_char)  from '$$PATH$$/2118.dat' ;
--
-- Data for Name: bm_template; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bm_template (template_id, template_name, file_name, file_extension, mimetype, size, data, html_main, html_detail, html_category, css, script, base_template_flg, base_template_id, available_flg, create_date, last_modify_date, sort_order, t_size) FROM stdin;
\.
copy bm_template (template_id, template_name, file_name, file_extension, mimetype, size, data, html_main, html_detail, html_category, css, script, base_template_flg, base_template_id, available_flg, create_date, last_modify_date, sort_order, t_size)  from '$$PATH$$/2102.dat' ;
--
-- Data for Name: bt_access; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bt_access (access_id, blog_sys_id, user_sys_id, access_date, access_type, url_to, url_from, remote_host, user_agent, entry_id) FROM stdin;
\.
copy bt_access (access_id, blog_sys_id, user_sys_id, access_date, access_type, url_to, url_from, remote_host, user_agent, entry_id)  from '$$PATH$$/2108.dat' ;
--
-- Data for Name: bt_access_ranking; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bt_access_ranking (ranking_id, blog_sys_id, ranking_date, ranking_count) FROM stdin;
\.
copy bt_access_ranking (ranking_id, blog_sys_id, ranking_date, ranking_count)  from '$$PATH$$/2109.dat' ;
--
-- Data for Name: bt_blog_access; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bt_blog_access (blog_sys_id, access_date, access_count) FROM stdin;
\.
copy bt_blog_access (blog_sys_id, access_date, access_count)  from '$$PATH$$/2124.dat' ;
--
-- Data for Name: bt_blog_access_weekly; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bt_blog_access_weekly (blog_sys_id, access_count) FROM stdin;
\.
copy bt_blog_access_weekly (blog_sys_id, access_count)  from '$$PATH$$/2129.dat' ;
--
-- Data for Name: bt_blog_approval; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bt_blog_approval (blog_sys_id, id, application_date, type) FROM stdin;
\.
copy bt_blog_approval (blog_sys_id, id, application_date, type)  from '$$PATH$$/2122.dat' ;
--
-- Data for Name: bt_blog_entry_access; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bt_blog_entry_access (blog_sys_id, entry_id, access_date, access_count) FROM stdin;
\.
copy bt_blog_entry_access (blog_sys_id, entry_id, access_date, access_count)  from '$$PATH$$/2132.dat' ;
--
-- Data for Name: bt_blog_size; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bt_blog_size (blog_sys_id, size) FROM stdin;
\.
copy bt_blog_size (blog_sys_id, size)  from '$$PATH$$/2130.dat' ;
--
-- Data for Name: bt_category; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bt_category (category_id, blog_sys_id, category_name, sort_order, category_public) FROM stdin;
\.
copy bt_category (category_id, blog_sys_id, category_name, sort_order, category_public)  from '$$PATH$$/2112.dat' ;
--
-- Data for Name: bt_comment; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bt_comment (comment_id, entry_id, blog_sys_id, open_status, comment_title, comment_text, user_sys_id, comment_name, comment_mail, comment_url, comment_date, comment_ip, size, word, secret_flg) FROM stdin;
\.
copy bt_comment (comment_id, entry_id, blog_sys_id, open_status, comment_title, comment_text, user_sys_id, comment_name, comment_mail, comment_url, comment_date, comment_ip, size, word, secret_flg)  from '$$PATH$$/2116.dat' ;
--
-- Data for Name: bt_entry; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bt_entry (entry_id, blog_sys_id, directory_id, entry_user_id, entry_title, entry_text, entry_text_more, entry_summary, entry_date, trackback_url, sent_trackback_url, public_flg, public_date, newline, size, admit, trackback_sent_count) FROM stdin;
\.
copy bt_entry (entry_id, blog_sys_id, directory_id, entry_user_id, entry_title, entry_text, entry_text_more, entry_summary, entry_date, trackback_url, sent_trackback_url, public_flg, public_date, newline, size, admit, trackback_sent_count)  from '$$PATH$$/2114.dat' ;
--
-- Data for Name: bt_entry_category; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bt_entry_category (entry_id, blog_sys_id, category_id, regist_date) FROM stdin;
\.
copy bt_entry_category (entry_id, blog_sys_id, category_id, regist_date)  from '$$PATH$$/2123.dat' ;
--
-- Data for Name: bt_entry_tmp; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bt_entry_tmp (entry_id, entry_user_id, blog_sys_id, directory_id, entry_title, entry_text, entry_text_more, entry_summary, trackback_url, public_flg, public_date, category_id, category_name, regist_date, update_date) FROM stdin;
\.
copy bt_entry_tmp (entry_id, entry_user_id, blog_sys_id, directory_id, entry_title, entry_text, entry_text_more, entry_summary, trackback_url, public_flg, public_date, category_id, category_name, regist_date, update_date)  from '$$PATH$$/2133.dat' ;
--
-- Data for Name: bt_favorite; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bt_favorite (favorite_id, blog_sys_id, favorite_name, favorite_url, favorite_description, sort_order, favorite_public) FROM stdin;
\.
copy bt_favorite (favorite_id, blog_sys_id, favorite_name, favorite_url, favorite_description, sort_order, favorite_public)  from '$$PATH$$/2111.dat' ;
--
-- Data for Name: bt_fileinfo; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bt_fileinfo (file_id, blog_sys_id, file_name, file_extension, mimetype, size, image_height, image_width, register_date, save_path, data, use_entry_flag, user_sys_id) FROM stdin;
\.
copy bt_fileinfo (file_id, blog_sys_id, file_name, file_extension, mimetype, size, image_height, image_width, register_date, save_path, data, use_entry_flag, user_sys_id)  from '$$PATH$$/2110.dat' ;
--
-- Data for Name: bt_keyword; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bt_keyword (keyword_id, blog_sys_id, entry_id, keyword_name) FROM stdin;
\.
copy bt_keyword (keyword_id, blog_sys_id, entry_id, keyword_name)  from '$$PATH$$/2115.dat' ;
--
-- Data for Name: bt_libura_login_info; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bt_libura_login_info (authentication_key, user_id, login_id, word, regist_date) FROM stdin;
\.
copy bt_libura_login_info (authentication_key, user_id, login_id, word, regist_date)  from '$$PATH$$/2135.dat' ;
--
-- Data for Name: bt_license; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bt_license (host_id, termkind, lickey, regist_date, update_date) FROM stdin;
\.
copy bt_license (host_id, termkind, lickey, regist_date, update_date)  from '$$PATH$$/2128.dat' ;
--
-- Data for Name: bt_login_info; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bt_login_info (authentication_key, user_id, regist_date) FROM stdin;
\.
copy bt_login_info (authentication_key, user_id, regist_date)  from '$$PATH$$/2134.dat' ;
--
-- Data for Name: bt_process_log; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bt_process_log (name, data) FROM stdin;
\.
copy bt_process_log (name, data)  from '$$PATH$$/2127.dat' ;
--
-- Data for Name: bt_template_image; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bt_template_image (template_image_id, template_id, image_id, file_name, file_extension, mimetype, size, image_height, image_width, register_date, data) FROM stdin;
\.
copy bt_template_image (template_image_id, template_id, image_id, file_name, file_extension, mimetype, size, image_height, image_width, register_date, data)  from '$$PATH$$/2119.dat' ;
--
-- Data for Name: bt_total_access; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bt_total_access (access_date, access_count) FROM stdin;
\.
copy bt_total_access (access_date, access_count)  from '$$PATH$$/2125.dat' ;
--
-- Data for Name: bt_trackback; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY bt_trackback (trackback_id, entry_id, blog_sys_id, open_status, trackback_date, trackback_url, trackback_title, trackback_text, trackback_name, trackback_ip, size) FROM stdin;
\.
copy bt_trackback (trackback_id, entry_id, blog_sys_id, open_status, trackback_date, trackback_url, trackback_title, trackback_text, trackback_name, trackback_ip, size)  from '$$PATH$$/2117.dat' ;
--
-- Data for Name: ptm_group; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY ptm_group (id, name, tel, memo, const_id, orgconst_id, seqno) FROM stdin;
\.
copy ptm_group (id, name, tel, memo, const_id, orgconst_id, seqno)  from '$$PATH$$/2105.dat' ;
--
-- Data for Name: ptm_group_user; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY ptm_group_user (id, sid_assign, const_id, seqno, admin) FROM stdin;
\.
copy ptm_group_user (id, sid_assign, const_id, seqno, admin)  from '$$PATH$$/2106.dat' ;
--
-- Data for Name: ptm_user; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY ptm_user (id, name, kana, kanano, mail, office, dept1, dept2, post, postcode, tel1, tel2, naisen, telfax, telhome, telother, telhand, userid, mobileid, defgroup, word, admin, gflg, pda, mailmobile, mailprivate, mailother, mailclosecorp, mailclosemobile, mailcloseprivate, mailcloseother, mailusecorp, mailusemobile, mailuseprivate, mailuseother, seqno, pwdmoddate, skype, sendflg, sendtime_from, sendtime_to, profile, deny_use, carrier_uid, nickname, last_modify_date, defblog) FROM stdin;
\.
copy ptm_user (id, name, kana, kanano, mail, office, dept1, dept2, post, postcode, tel1, tel2, naisen, telfax, telhome, telother, telhand, userid, mobileid, defgroup, word, admin, gflg, pda, mailmobile, mailprivate, mailother, mailclosecorp, mailclosemobile, mailcloseprivate, mailcloseother, mailusecorp, mailusemobile, mailuseprivate, mailuseother, seqno, pwdmoddate, skype, sendflg, sendtime_from, sendtime_to, profile, deny_use, carrier_uid, nickname, last_modify_date, defblog)  from '$$PATH$$/2104.dat' ;
--
-- Data for Name: sessions; Type: TABLE DATA; Schema: public; Owner: dnblog
--

COPY sessions (session_id, data, access_date) FROM stdin;
\.
copy sessions (session_id, data, access_date)  from '$$PATH$$/2131.dat' ;
--
-- Name: bm_attach_user_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY bm_attach_user
    ADD CONSTRAINT bm_attach_user_pkey PRIMARY KEY (blog_sys_id);


--
-- Name: bm_blog_group_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY bm_blog_group
    ADD CONSTRAINT bm_blog_group_pkey PRIMARY KEY (blog_sys_id, id);


--
-- Name: bm_blog_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY bm_blog
    ADD CONSTRAINT bm_blog_pkey PRIMARY KEY (blog_sys_id);


--
-- Name: bm_blog_user_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY bm_blog_user
    ADD CONSTRAINT bm_blog_user_pkey PRIMARY KEY (blog_sys_id, id);


--
-- Name: bm_directory_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY bm_directory
    ADD CONSTRAINT bm_directory_pkey PRIMARY KEY (directory_id);


--
-- Name: bm_setting_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY bm_setting
    ADD CONSTRAINT bm_setting_pkey PRIMARY KEY (setting_id);


--
-- Name: bm_template_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY bm_template
    ADD CONSTRAINT bm_template_pkey PRIMARY KEY (template_id);


--
-- Name: bt_access_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY bt_access
    ADD CONSTRAINT bt_access_pkey PRIMARY KEY (access_id);


--
-- Name: bt_access_ranking_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY bt_access_ranking
    ADD CONSTRAINT bt_access_ranking_pkey PRIMARY KEY (ranking_id);


--
-- Name: bt_blog_access_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY bt_blog_access
    ADD CONSTRAINT bt_blog_access_pkey PRIMARY KEY (blog_sys_id, access_date);


--
-- Name: bt_blog_access_weekly_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY bt_blog_access_weekly
    ADD CONSTRAINT bt_blog_access_weekly_pkey PRIMARY KEY (blog_sys_id);


--
-- Name: bt_blog_approval_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY bt_blog_approval
    ADD CONSTRAINT bt_blog_approval_pkey PRIMARY KEY (blog_sys_id, id);


--
-- Name: bt_blog_entry_access_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY bt_blog_entry_access
    ADD CONSTRAINT bt_blog_entry_access_pkey PRIMARY KEY (blog_sys_id, entry_id, access_date);


--
-- Name: bt_blog_size_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY bt_blog_size
    ADD CONSTRAINT bt_blog_size_pkey PRIMARY KEY (blog_sys_id);


--
-- Name: bt_category_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY bt_category
    ADD CONSTRAINT bt_category_pkey PRIMARY KEY (category_id, blog_sys_id);


--
-- Name: bt_comment_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY bt_comment
    ADD CONSTRAINT bt_comment_pkey PRIMARY KEY (comment_id);


--
-- Name: bt_entry_category_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY bt_entry_category
    ADD CONSTRAINT bt_entry_category_pkey PRIMARY KEY (entry_id, blog_sys_id, category_id);


--
-- Name: bt_entry_entry_id_key; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY bt_entry
    ADD CONSTRAINT bt_entry_entry_id_key UNIQUE (entry_id, blog_sys_id);


--
-- Name: bt_entry_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY bt_entry
    ADD CONSTRAINT bt_entry_pkey PRIMARY KEY (entry_id);


--
-- Name: bt_entry_tmp_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY bt_entry_tmp
    ADD CONSTRAINT bt_entry_tmp_pkey PRIMARY KEY (entry_id, entry_user_id, blog_sys_id);


--
-- Name: bt_favorite_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY bt_favorite
    ADD CONSTRAINT bt_favorite_pkey PRIMARY KEY (favorite_id);


--
-- Name: bt_fileinfo_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY bt_fileinfo
    ADD CONSTRAINT bt_fileinfo_pkey PRIMARY KEY (file_id);


--
-- Name: bt_keyword_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY bt_keyword
    ADD CONSTRAINT bt_keyword_pkey PRIMARY KEY (keyword_id);


--
-- Name: bt_libura_login_info_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY bt_libura_login_info
    ADD CONSTRAINT bt_libura_login_info_pkey PRIMARY KEY (authentication_key);


--
-- Name: bt_license_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY bt_license
    ADD CONSTRAINT bt_license_pkey PRIMARY KEY (host_id, termkind);


--
-- Name: bt_process_log_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY bt_process_log
    ADD CONSTRAINT bt_process_log_pkey PRIMARY KEY (name);


--
-- Name: bt_template_image_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY bt_template_image
    ADD CONSTRAINT bt_template_image_pkey PRIMARY KEY (template_image_id);


--
-- Name: bt_total_access_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY bt_total_access
    ADD CONSTRAINT bt_total_access_pkey PRIMARY KEY (access_date);


--
-- Name: bt_trackback_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY bt_trackback
    ADD CONSTRAINT bt_trackback_pkey PRIMARY KEY (trackback_id);


--
-- Name: ptm_group_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY ptm_group
    ADD CONSTRAINT ptm_group_pkey PRIMARY KEY (id);


--
-- Name: ptm_group_user_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY ptm_group_user
    ADD CONSTRAINT ptm_group_user_pkey PRIMARY KEY (id, sid_assign);


--
-- Name: ptm_user_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY ptm_user
    ADD CONSTRAINT ptm_user_pkey PRIMARY KEY (id);


--
-- Name: sessions_pkey; Type: CONSTRAINT; Schema: public; Owner: dnblog; Tablespace: 
--

ALTER TABLE ONLY sessions
    ADD CONSTRAINT sessions_pkey PRIMARY KEY (session_id);


--
-- Name: idx_bm_blog_blog_id; Type: INDEX; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE INDEX idx_bm_blog_blog_id ON bm_blog USING btree (blog_id);


--
-- Name: idx_bm_blog_blog_name; Type: INDEX; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE INDEX idx_bm_blog_blog_name ON bm_blog USING btree (blog_name);


--
-- Name: idx_bt_access_blog_sys_id; Type: INDEX; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE INDEX idx_bt_access_blog_sys_id ON bt_access USING btree (blog_sys_id);


--
-- Name: idx_bt_blog_access_access_date; Type: INDEX; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE INDEX idx_bt_blog_access_access_date ON bt_blog_access USING btree (access_date);


--
-- Name: idx_bt_comment_blog_sys_id; Type: INDEX; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE INDEX idx_bt_comment_blog_sys_id ON bt_comment USING btree (blog_sys_id);


--
-- Name: idx_bt_comment_blog_sys_id_comment_id; Type: INDEX; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE INDEX idx_bt_comment_blog_sys_id_comment_id ON bt_comment USING btree (blog_sys_id, comment_id);


--
-- Name: idx_bt_comment_blog_sys_id_entry_id; Type: INDEX; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE INDEX idx_bt_comment_blog_sys_id_entry_id ON bt_comment USING btree (blog_sys_id, entry_id);


--
-- Name: idx_bt_comment_entry_id; Type: INDEX; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE INDEX idx_bt_comment_entry_id ON bt_comment USING btree (entry_id);


--
-- Name: idx_bt_entry_bid_edate_pdate; Type: INDEX; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE INDEX idx_bt_entry_bid_edate_pdate ON bt_entry USING btree (blog_sys_id, entry_date, public_date);


--
-- Name: idx_bt_entry_blog_sys_id; Type: INDEX; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE INDEX idx_bt_entry_blog_sys_id ON bt_entry USING btree (blog_sys_id);


--
-- Name: idx_bt_entry_entry_date; Type: INDEX; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE INDEX idx_bt_entry_entry_date ON bt_entry USING btree (entry_date);


--
-- Name: idx_bt_entry_entry_date_id; Type: INDEX; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE INDEX idx_bt_entry_entry_date_id ON bt_entry USING btree (entry_date, entry_id);


--
-- Name: idx_bt_entry_entry_id_blog_sys_id; Type: INDEX; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE INDEX idx_bt_entry_entry_id_blog_sys_id ON bt_entry USING btree (entry_id, blog_sys_id);


--
-- Name: idx_bt_entry_public_date; Type: INDEX; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE INDEX idx_bt_entry_public_date ON bt_entry USING btree (public_date);


--
-- Name: idx_bt_fileinfo_blog_sys_id; Type: INDEX; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE INDEX idx_bt_fileinfo_blog_sys_id ON bt_fileinfo USING btree (blog_sys_id);


--
-- Name: idx_bt_fileinfo_file_name; Type: INDEX; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE INDEX idx_bt_fileinfo_file_name ON bt_fileinfo USING btree (file_name);


--
-- Name: idx_bt_trackback_blog_sys_id; Type: INDEX; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE INDEX idx_bt_trackback_blog_sys_id ON bt_trackback USING btree (blog_sys_id);


--
-- Name: idx_bt_trackback_blog_sys_id_comment_id; Type: INDEX; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE INDEX idx_bt_trackback_blog_sys_id_comment_id ON bt_trackback USING btree (blog_sys_id, trackback_id);


--
-- Name: idx_bt_trackback_blog_sys_id_entry_id; Type: INDEX; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE INDEX idx_bt_trackback_blog_sys_id_entry_id ON bt_trackback USING btree (blog_sys_id, entry_id);


--
-- Name: idx_bt_trackback_entry_id; Type: INDEX; Schema: public; Owner: dnblog; Tablespace: 
--

CREATE INDEX idx_bt_trackback_entry_id ON bt_trackback USING btree (entry_id);


--
-- Name: trig_bt_access_entry_id; Type: TRIGGER; Schema: public; Owner: dnblog
--

CREATE TRIGGER trig_bt_access_entry_id
    BEFORE INSERT ON bt_access
    FOR EACH ROW
    EXECUTE PROCEDURE func_trig_bt_access_entry_id();


--
-- Name: bm_attach_user_fkey_0; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bm_attach_user
    ADD CONSTRAINT bm_attach_user_fkey_0 FOREIGN KEY (blog_sys_id) REFERENCES bm_blog(blog_sys_id);


--
-- Name: bm_blog_fkey_0; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bm_blog
    ADD CONSTRAINT bm_blog_fkey_0 FOREIGN KEY (template_id) REFERENCES bm_template(template_id);


--
-- Name: bm_blog_group_fkey_0; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bm_blog_group
    ADD CONSTRAINT bm_blog_group_fkey_0 FOREIGN KEY (blog_sys_id) REFERENCES bm_blog(blog_sys_id);


--
-- Name: bm_blog_group_fkey_1; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bm_blog_group
    ADD CONSTRAINT bm_blog_group_fkey_1 FOREIGN KEY (id) REFERENCES ptm_group(id);


--
-- Name: bm_blog_user_fkey_0; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bm_blog_user
    ADD CONSTRAINT bm_blog_user_fkey_0 FOREIGN KEY (blog_sys_id) REFERENCES bm_blog(blog_sys_id);


--
-- Name: bm_blog_user_fkey_1; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bm_blog_user
    ADD CONSTRAINT bm_blog_user_fkey_1 FOREIGN KEY (id) REFERENCES ptm_user(id);


--
-- Name: bm_directory_fkey_0; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bm_directory
    ADD CONSTRAINT bm_directory_fkey_0 FOREIGN KEY (parent_id) REFERENCES bm_directory(directory_id);


--
-- Name: bm_template_fkey_0; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bm_template
    ADD CONSTRAINT bm_template_fkey_0 FOREIGN KEY (base_template_id) REFERENCES bm_template(template_id);


--
-- Name: bt_access_fkey_0; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bt_access
    ADD CONSTRAINT bt_access_fkey_0 FOREIGN KEY (blog_sys_id) REFERENCES bm_blog(blog_sys_id);


--
-- Name: bt_access_fkey_1; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bt_access
    ADD CONSTRAINT bt_access_fkey_1 FOREIGN KEY (user_sys_id) REFERENCES ptm_user(id);


--
-- Name: bt_access_fkey_2; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bt_access
    ADD CONSTRAINT bt_access_fkey_2 FOREIGN KEY (entry_id) REFERENCES bt_entry(entry_id);


--
-- Name: bt_access_ranking_fkey_0; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bt_access_ranking
    ADD CONSTRAINT bt_access_ranking_fkey_0 FOREIGN KEY (blog_sys_id) REFERENCES bm_blog(blog_sys_id);


--
-- Name: bt_blog_access_fkey_0; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bt_blog_access
    ADD CONSTRAINT bt_blog_access_fkey_0 FOREIGN KEY (blog_sys_id) REFERENCES bm_blog(blog_sys_id);


--
-- Name: bt_blog_access_weekly_fkey_0; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bt_blog_access_weekly
    ADD CONSTRAINT bt_blog_access_weekly_fkey_0 FOREIGN KEY (blog_sys_id) REFERENCES bm_blog(blog_sys_id);


--
-- Name: bt_blog_approval_fkey_0; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bt_blog_approval
    ADD CONSTRAINT bt_blog_approval_fkey_0 FOREIGN KEY (blog_sys_id) REFERENCES bm_blog(blog_sys_id);


--
-- Name: bt_blog_approval_fkey_1; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bt_blog_approval
    ADD CONSTRAINT bt_blog_approval_fkey_1 FOREIGN KEY (id) REFERENCES ptm_user(id);


--
-- Name: bt_blog_entry_access_fkey_0; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bt_blog_entry_access
    ADD CONSTRAINT bt_blog_entry_access_fkey_0 FOREIGN KEY (blog_sys_id) REFERENCES bm_blog(blog_sys_id);


--
-- Name: bt_blog_entry_access_fkey_1; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bt_blog_entry_access
    ADD CONSTRAINT bt_blog_entry_access_fkey_1 FOREIGN KEY (entry_id) REFERENCES bt_entry(entry_id);


--
-- Name: bt_blog_size_fkey_0; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bt_blog_size
    ADD CONSTRAINT bt_blog_size_fkey_0 FOREIGN KEY (blog_sys_id) REFERENCES bm_blog(blog_sys_id);


--
-- Name: bt_category_fkey_0; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bt_category
    ADD CONSTRAINT bt_category_fkey_0 FOREIGN KEY (blog_sys_id) REFERENCES bm_blog(blog_sys_id);


--
-- Name: bt_comment_fkey_0; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bt_comment
    ADD CONSTRAINT bt_comment_fkey_0 FOREIGN KEY (entry_id, blog_sys_id) REFERENCES bt_entry(entry_id, blog_sys_id);


--
-- Name: bt_comment_fkey_1; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bt_comment
    ADD CONSTRAINT bt_comment_fkey_1 FOREIGN KEY (user_sys_id) REFERENCES ptm_user(id);


--
-- Name: bt_entry_category_fkey_0; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bt_entry_category
    ADD CONSTRAINT bt_entry_category_fkey_0 FOREIGN KEY (entry_id, blog_sys_id) REFERENCES bt_entry(entry_id, blog_sys_id);


--
-- Name: bt_entry_category_fkey_1; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bt_entry_category
    ADD CONSTRAINT bt_entry_category_fkey_1 FOREIGN KEY (category_id, blog_sys_id) REFERENCES bt_category(category_id, blog_sys_id);


--
-- Name: bt_entry_fkey_0; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bt_entry
    ADD CONSTRAINT bt_entry_fkey_0 FOREIGN KEY (blog_sys_id) REFERENCES bm_blog(blog_sys_id);


--
-- Name: bt_entry_fkey_1; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bt_entry
    ADD CONSTRAINT bt_entry_fkey_1 FOREIGN KEY (directory_id) REFERENCES bm_directory(directory_id);


--
-- Name: bt_entry_fkey_2; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bt_entry
    ADD CONSTRAINT bt_entry_fkey_2 FOREIGN KEY (entry_user_id) REFERENCES ptm_user(id);


--
-- Name: bt_entry_tmp_fkey_0; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bt_entry_tmp
    ADD CONSTRAINT bt_entry_tmp_fkey_0 FOREIGN KEY (blog_sys_id) REFERENCES bm_blog(blog_sys_id);


--
-- Name: bt_entry_tmp_fkey_1; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bt_entry_tmp
    ADD CONSTRAINT bt_entry_tmp_fkey_1 FOREIGN KEY (directory_id) REFERENCES bm_directory(directory_id);


--
-- Name: bt_entry_tmp_fkey_2; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bt_entry_tmp
    ADD CONSTRAINT bt_entry_tmp_fkey_2 FOREIGN KEY (entry_user_id) REFERENCES ptm_user(id);


--
-- Name: bt_favorite_fkey_0; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bt_favorite
    ADD CONSTRAINT bt_favorite_fkey_0 FOREIGN KEY (blog_sys_id) REFERENCES bm_blog(blog_sys_id);


--
-- Name: bt_fileinfo_fkey_0; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bt_fileinfo
    ADD CONSTRAINT bt_fileinfo_fkey_0 FOREIGN KEY (blog_sys_id) REFERENCES bm_blog(blog_sys_id);


--
-- Name: bt_keyword_fkey_0; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bt_keyword
    ADD CONSTRAINT bt_keyword_fkey_0 FOREIGN KEY (blog_sys_id, entry_id) REFERENCES bt_entry(blog_sys_id, entry_id);


--
-- Name: bt_template_image_fkey_0; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bt_template_image
    ADD CONSTRAINT bt_template_image_fkey_0 FOREIGN KEY (template_id) REFERENCES bm_template(template_id);


--
-- Name: bt_trackback_fkey_0; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY bt_trackback
    ADD CONSTRAINT bt_trackback_fkey_0 FOREIGN KEY (entry_id, blog_sys_id) REFERENCES bt_entry(entry_id, blog_sys_id);


--
-- Name: ptm_group_user_fkey_0; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY ptm_group_user
    ADD CONSTRAINT ptm_group_user_fkey_0 FOREIGN KEY (id) REFERENCES ptm_group(id);


--
-- Name: ptm_group_user_fkey_1; Type: FK CONSTRAINT; Schema: public; Owner: dnblog
--

ALTER TABLE ONLY ptm_group_user
    ADD CONSTRAINT ptm_group_user_fkey_1 FOREIGN KEY (sid_assign) REFERENCES ptm_user(id);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

