<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty show modifier plugin
 *
 * Type:     modifier<br>
 * Name:     show<br>
 * Purpose:  designate default value for empty variables
 * @param string
 * @param string
 * @return string
 */
function smarty_modifier_isshow($string, $default = '')
{
    if (!isset($string) || $string === '')
        return '';
    else
        return $default;
}

/* vim: set expandtab: */

?>
