<?php
define("FIX_PARAM_SEPARATOR", "_");

/**
 * ܥ̾Ǥforward뤿Υե륿
 * 
 */
class ButtonForwardFilter extends Filter {

    /**
     * ܥ̾Ǥforward¹Ԥ롣
     * action_xxx__module_yyy__zzz_ooo -> action=xxx&module=yyy&zzz=ooo
     * 
     * @param FilterChain  &$filterChain [I/O]:mojavi Filter Chain
     * @param Controler    &$controller  [I/O]:mojavi Controler
     * @param Request      &$request     [I/O]:mojavi Request
     * @param User         &$user        [I/O]:mojavi User
     */
    function execute(&$filterChain, &$controller, &$request, &$user) {
        $params = $request->getParameters();

        // ѥ᡼򻲾ȤƤ
        foreach( $params as $key => $value ){
            // type="image"б
            if (preg_match('/_x$/', $key) || preg_match('/_y$/', $key)) {
                $tmp = substr($key, 0, strlen($key)-2);
            }else{
                $tmp = $key;
            }

            //  action_xxx(__module_yyy__zzz_ooo)פη
            if( preg_match("/^".ACTION_ACCESSOR.FIX_PARAM_SEPARATOR."(.+)?$/",
                            $tmp , $ar_ret) ){
                // Υѥ᡼
                $request->removeParameter($key);

                // ѥ᡼̾ʬ
                $param = explode(FIX_PARAM_SEPARATOR.FIX_PARAM_SEPARATOR, $tmp);

                // ̾⥸塼̾
                $action = $controller->getCurrentAction();
                $module = $controller->getCurrentModule();

                // ġΥѥ᡼ˤĤƤߤƤ
                foreach( $param as $val ){
                    if( preg_match("/^([^_]+)".FIX_PARAM_SEPARATOR."(.+)$/",
                            $val , $ar_key ) ){
                        // Action?
                        if( $ar_key[1] == ACTION_ACCESSOR ){
                            $action = $ar_key[2];
                        }
                        // Module?
                        else if( $ar_key[1] == MODULE_ACCESSOR){
                            $module = $ar_key[2];
                        }
                        // ¾
                        else{
                            // ѥ᡼ɲϿ
                            $request->setParameter($ar_key[1], $ar_key[2]);
                        }
                    }
                }

                // Υ⥸塼롢Ȱ㤦
                if( $controller->getCurrentModule() != $module|| 
                    $controller->getCurrentAction() != $action ){
                    // ꤷ⥸塼롢forward
                    $controller->forward($module, $action);
                    return FALSE;
                }
            }
        }

        $filterChain->execute($controller, $request, $user);
    }
}
?>