/**
 * 一覧グループ選択(検索)開く
 * 
 * @param  form  フォーム名
 * @param  index インデックス
 * @param  sgp   選択グループ
 * @param  selkd 表示種類
 * 
 */

function gpselopen(form,index,sgp,selkd){

    if( form == null){
        return;
    }

    var s_selkd = '';
    var s_sgp   = '';

    if( selkd != '' ){
        s_selkd = '&selkd='+selkd;
    }
    if( sgp != '' ){
        s_sgp = '&sgp='+sgp;
    }

    var amp = '&';

    if(index.indexOf('?') == -1) {
        amp = '?';
    }

    gs_uri = index+amp+'module=Default&action=GpSel'+s_selkd+s_sgp;
    newWin = window.open( gs_uri,
                          'GpSel',
                          'width=300,height=500,location=0,resizable=yes,scrollbars=yes,status=yes,left=30,top=30');
    newWin.focus();
    return;
}

/**
 * 一覧グループ選択(検索)閉じる
 * 
 * @param  selkd 表示種類
 * 
 */

function gpselclose(selkd){
    wp = window.opener;
    if (wp == null || wp.closed){
        alert("呼び出した画面が既に閉じられてる為、終了します。");
        window.top.close();
        return;
    }

    if(selkd != ''){
        if (wp.document.frm == null || wp.document.frm.constid == null ){
            alert("呼び出した画面が既に変更されている為、終了します。");
            window.top.close();
            return;
        }
    }
    else{
        if (wp.document.frm == null || wp.document.frm.sgp == null ){
            alert("呼び出した画面が既に変更されている為、終了します。");
            window.top.close();
            return;
        }
    }

    radios = document.grpsel.sgp;
    rlen   = radios.length;
    alen = document.grpsel.elements.length;

    if(selkd != ''){
        for(i=0;i<rlen;i++){
            if(radios[i].checked){
                astr = 'sconst'+radios[i].value;
                for(i_cnt=0;i_cnt<alen;i_cnt++) {
                    if (document.grpsel.elements[i_cnt].type=='hidden'
                        && document.grpsel.elements[i_cnt].name.indexOf(astr) != -1) {
                        wp.document.frm.constid.value = document.grpsel.elements[i_cnt].value;
                        // Opera8対応？
                        if( wp.document.frm.constid.value == 'on' ){
                            wp.document.frm.constid.value = '';
                        }
                        wp.focus();
                        window.top.close();
                        return;
                    }
                }
            }
        }
    }
    else{

        // ラジオボタンが1つ
        if(rlen == undefined){
            wp.document.frm.sgp.value = radios.value;
            // Opera8対応？
            if( wp.document.frm.sgp.value == 'on' ){
                wp.document.frm.sgp.value = '';
            }
            var celm  = wp.document.createElement('input');
            wp.document.frm.appendChild(celm);
            wp.document.frm.submit();
            wp.focus();
            window.top.close();
            return;
        }

        for(i=0;i<rlen;i++){
            if(radios[i].checked){
                wp.document.frm.sgp.value = radios[i].value;
                // Opera8対応？
                if( wp.document.frm.sgp.value == 'on' ){
                    wp.document.frm.sgp.value = '';
                }
                var celm  = wp.document.createElement('input');
                wp.document.frm.appendChild(celm);
                wp.document.frm.submit();
                wp.focus();
                window.top.close();
                return;
            }
        }
    }

    if(selkd != ''){
        // Opera8対応？
        if( wp.document.frm.constid.value == 'on' ){
            wp.document.frm.constid.value = '';
            wp.focus();
            window.top.close();
            return;
        }
    }
    else{
        // Opera8対応？
        if( wp.document.frm.sgp.value == 'on' ){
            wp.document.frm.sgp.value = '';
            wp.focus();
            window.top.close();
            return;
        }
    }
    alert("グループを選択してください。");
}

/**
 * グループ複数選択開く
 * 
 * @param  form  フォーム名
 * @param  index インデックス
 * @param  selkd 表示種類
 * 
 */

function gpselopenmulti(form,index,selkd){
    if( form == null){
        return;
    }

    var s_selkd = '';
    var s_sgp   = '';

    if( selkd != '' ){
        s_selkd = '&selkd='+selkd;
    }

    var amp = '&';

    if(index.indexOf('?') == -1) {
        amp = '?';
    }

    len = form.elements.length;
    for(i_cnt=0;i_cnt<len;i_cnt++) {
        if (form.elements[i_cnt].name.indexOf('arsgp[]') != -1) {
            s_sgp = s_sgp+'&arsgp[]='+form.elements[i_cnt].value;
        }
    }

    gs_uri = index+amp+'module=Default&action=GpSelMulti'+s_selkd+s_sgp;

    newWin = window.open( gs_uri,
                          'GpSelMulti',
                          'width=320,height=500,location=0,resizable=yes,scrollbars=yes,status=yes,left=30,top=30');
    newWin.focus();
    return;
}

/**
 * グループ複数選択閉じる
 * 
 */

function gpselclosemulti(){
    wp = window.opener;
    if (wp == null || wp.closed){
        alert("呼び出した画面が既に閉じられてる為、終了します。");
        window.top.close();
        return;
    }

    var sel = false;
    len = document.grpsel.elements.length;
    for(i_cnt=0;i_cnt<len;i_cnt++) {
        if ( document.grpsel.elements[i_cnt].name.indexOf('arsgp[]') != -1 &&
             document.grpsel.elements[i_cnt].checked ) {
            var celm  = wp.document.createElement('input');
            celm.type = 'hidden';
            celm.name = 'aarsgp[]';
            celm.value = document.grpsel.elements[i_cnt].value;
            wp.document.frm.appendChild(celm);
            sel = true;
        }
    }

    if ( sel == false ) {
        var celm  = wp.document.createElement('input');
        celm.type = 'hidden';
        celm.name = 'aarsgp[]';
        celm.value = '';
        wp.document.frm.appendChild(celm);
    }
    wp.document.frm.submit();
    wp.focus();
    window.top.close();
    return;
}

/**
 * グループ一括選択
 * 
 * @param  form  フォーム名
 * @param  sgp   選択グループ
 * 
 */

function gpchkopen(form,sgp,chflg){

    if( form == null){
        return;
    }

    var len = form.elements.length;
    var g_val = "";
    
    if(form.condsgp.value=='' || chflg==''){
        return false;
    }
    else{
        for(i_cnt=0;i_cnt<len;i_cnt++) {
            g_val = form.elements[i_cnt].value;
            g_chk = form.elements[i_cnt].checked;
            g_typ = form.elements[i_cnt].type;
            if(g_val==sgp
               && g_chk === true
               && g_typ === 'checkbox'){
                form.chkid.value=sgp;
                form.submit();
                return false;
            }
            else if(g_val==sgp
               && g_chk !== false
               && g_typ === 'checkbox'){
                return false;
            }
            else{
                continue;
            }
        }
    }

    return;
}

/**
 * グループ選択クリア
 * 
 * @param  form  フォーム名
 * 
 */
function gpchkreset(form)
{
    for(i_cnt = 0; i_cnt < form.elements.length - 1; i_cnt++) {
        if(form.elements[i_cnt].type == "checkbox"
           && form.elements[i_cnt].checked == true) {
            form.elements[i_cnt].checked = false;
        }
    }
}

