
/**
 * ユーザー選択(ブログ管理者)画面の終了
 *
 */
function UserSelectClose(){
    var param = 'd_uid';

    wp = window.opener;
    if (wp == null || wp.closed){
        alert("呼び出した画面が既に閉じられてる為、終了します。");
        window.close();
        return;
    }
    if (wp.document.frm == null ){
        alert("呼び出した画面が既に変更されている為、終了します。");
        window.close();
        return;
    }

    //[ 選択なし ]
    if(! isSelect(document.frm, param)) {
        alert('選択済みユーザーが選択されていません。選択済みユーザーを選択してください。');
        return;
    }

    //[ 複数選択あり ]
    if(getSelectedCount(document.frm, param) > 1) {
        alert('選択済みユーザーが複数選択されています。1ユーザーのみを選択してください。');
        return;
    }

    var eles = document.getElementsByName(param+'[]')
    len = eles.length;

    for(i_cnt=0;i_cnt<len;i_cnt++) {
        if (  eles[i_cnt].checked ) {
            var celm  = wp.document.createElement('input');
            celm.type = 'hidden';
            celm.name = 's_aid[]';
            celm.value = eles[i_cnt].value;
            wp.document.frm.appendChild(celm);
        }
    }

    // 親画面にパラメータ追加
    var celm  = wp.document.createElement('input');
    celm.type = 'hidden';
    celm.name = 'btn_search_admin';
    celm.value = 'dummy';
    wp.document.frm.appendChild(celm);

    wp.document.frm.submit();
    window.close();
    return;
}

/**
 * ユーザー選択(複数選択可)画面の終了
 *
 */
function UserSelectCloseMulti(){
    var param = 'd_uid';

    wp = window.opener;
    if (wp == null || wp.closed){
        alert("呼び出した画面が既に閉じられてる為、終了します。");
        window.close();
        return;
    }
    if (wp.document.frm == null ){
        alert("呼び出した画面が既に変更されている為、終了します。");
        window.close();
        return;
    }

    //[ 選択なし ]
    if(! isSelect(document.frm, param)) {
        alert('選択済みユーザーが選択されていません。選択済みユーザーを選択してください。');
        return;
    }

    var eles = document.getElementsByName(param+'[]')
    len = eles.length;

    for(i_cnt=0;i_cnt<len;i_cnt++) {
        if ( eles[i_cnt].checked ) {
            // 親画面にパラメータ追加
            var celm  = wp.document.createElement('input');
            celm.type = 'hidden';
            celm.name = 'aarsus[]';
            celm.value = eles[i_cnt].value;
            wp.document.frm.appendChild(celm);
        }
    }
    // 親画面にパラメータ追加
    var celm  = wp.document.createElement('input');
    celm.type = 'hidden';
    celm.name = 'btn_search_user';
    celm.value = 'dummy';
    wp.document.frm.appendChild(celm);

    wp.document.frm.submit();
    window.close();
    return;
}

/**
 * ユーザー選択(ブログ管理者)画面の終了
 *
 */
function BlogAdminSelectClose(){
    var param = 'i_id';

    wp = window.opener;
    if (wp == null || wp.closed){
        alert("呼び出した画面が既に閉じられてる為、終了します。");
        window.close();
        return;
    }
    if (wp.document.frm == null ){
        alert("呼び出した画面が既に変更されている為、終了します。");
        window.close();
        return;
    }

    //[ 選択なし ]
    if(! isChoice(document.frm, param)) {
        alert('ユーザーが選択されていません。ユーザーを選択してください。');
        return;
    }

    var eles = document.getElementsByName(param+'[]')
    len = eles.length;

    for(i_cnt=0;i_cnt<len;i_cnt++) {
        if (  eles[i_cnt].checked ) {
            var celm  = wp.document.createElement('input');
            celm.type = 'hidden';
            celm.name = 's_aid[]';
            celm.value = eles[i_cnt].value;
            wp.document.frm.appendChild(celm);
        }
    }

    // 親画面にパラメータ追加
    var celm  = wp.document.createElement('input');
    celm.type = 'hidden';
    celm.name = 'btn_search_admin';
    celm.value = 'dummy';
    wp.document.frm.appendChild(celm);

    wp.document.frm.submit();
    window.close();
    return;
}


/**
 * 選択したユーザーを選択済み一覧に表示
 *
 */
function AddSelectedUser(form){
    var s_cnt  = 0;
    var sd_cnt = 0;

    //[ 選択なし ]
    if(! isSelect(form, 'i_id')) {
        alert('ユーザーが選択されていません。ユーザーを選択してください。');
        return false;
    }

    //[ 選択＋選択済みが100を超える ]
    var s_cnt  = getSelectedCount(form, 'i_id')
    var sd_cnt = getSelectedCount(form, 'd_uid')

    if(s_cnt+sd_cnt > 100){
        alert('100ユーザー以内で選択してください。');
        return false;
    }

    form.action.value= 'UserListSelected';
    HTML_AJAX.formSubmit(form, "selectedlist");

    form.action.value= 'UserSelect';
    return;
}

/**
 * グループ選択画面のopen
 *
 */
function UserList_OpenGroupSelect(form, index, sgp, selkd) {

    if( form == null){
        return;
    }

    var append_uri = '&user_select=1';
    if( selkd != '' ){
        append_uri += '&selkd='+selkd;
    }
    if( sgp != '' ){
        append_uri += '&sgp=' + document.frm.sgp.value;
    }

    var amp = '&';

    if(index.indexOf('?') == -1) {
        amp = '?';
    }

    gs_uri = index+amp+'module=Default&action=GpSel'+append_uri;
    newWin = window.open( gs_uri,
                          'GpSel',
                          'width=300,height=500,location=0,resizable=yes,scrollbars=yes,status=yes,left=30,top=30');
    newWin.focus();
    return;
}

/**
 * グループ選択画面のopen
 * ブログ管理者選択
 *
 */
function BlogAdminList_OpenGroupSelect(form, index, sgp, selkd) {

    if( form == null){
        return;
    }

    var append_uri = '&blogadmin_select=1';
    if( selkd != '' ){
        append_uri += '&selkd='+selkd;
    }
    if( sgp != '' ){
        append_uri += '&sgp=' + document.frm.sgp.value;
    }

    var amp = '&';

    if(index.indexOf('?') == -1) {
        amp = '?';
    }

    gs_uri = index+amp+'module=Default&action=GpSel'+append_uri;
    newWin = window.open( gs_uri,
                          'GpSel',
                          'width=300,height=500,location=0,resizable=yes,scrollbars=yes,status=yes,left=30,top=30');
    newWin.focus();
    return;
}

/**
 * グループ選択画面のclose
 *
 */
function UserList_CloseGroupSelect() {

    wp = window.opener;
    if (wp == null || wp.closed){
        alert("呼び出した画面が既に閉じられてる為、終了します。");
        window.top.close();
        return;
    }

    if (wp.document.frm == null || wp.document.frm.sgp == null ){
        alert("呼び出した画面が既に変更されている為、終了します。");
        window.top.close();
        return;
    }

    radios = document.grpsel.sgp;
    rlen   = radios.length;
    alen = document.grpsel.elements.length;

    var amp = '&';

    if(wp.document.frm.index.value.indexOf('?') == -1) {
        amp = '?';
    }

    uri = wp.document.frm.index.value + amp +
        'module=Default&action=UserSelect' + 
        '&p=1';

    // ラジオボタンが1つ
    if(rlen == undefined){
        wp.document.frm.sgp.value = radios.value;
        uri += '&sgp=' + radios.value;
        wp.HTML_AJAX.replace('selectlist', uri);
        wp.focus();
        window.top.close();
        return;
    }

    for(i=0;i<rlen;i++){
        if(radios[i].checked){
            wp.document.frm.sgp.value = radios[i].value;
            uri += '&sgp=' + radios[i].value;
            wp.HTML_AJAX.replace('selectlist', uri);
            wp.focus();
            window.top.close();
            return;
        }
    }
    alert("グループを選択してください。");
}

/**
 * グループ選択画面のclose
 * ブログ管理者選択
 *
 */
function BlogAdminList_CloseGroupSelect() {

    wp = window.opener;
    if (wp == null || wp.closed){
        alert("呼び出した画面が既に閉じられてる為、終了します。");
        window.top.close();
        return;
    }

    if (wp.document.frm == null || wp.document.frm.sgp == null ){
        alert("呼び出した画面が既に変更されている為、終了します。");
        window.top.close();
        return;
    }

    radios = document.grpsel.sgp;
    rlen   = radios.length;
    alen = document.grpsel.elements.length;

    var amp = '&';

    if(wp.document.frm.index.value.indexOf('?') == -1) {
        amp = '?';
    }

    uri = wp.document.frm.index.value + amp +
        'module=Default&action=BlogAdminSelect' + 
        '&p=1';

    // ラジオボタンが1つ
    if(rlen == undefined){
        wp.document.frm.sgp.value = radios.value;
        uri += '&sgp=' + radios.value;
        wp.HTML_AJAX.replace('selectlist', uri);
        wp.focus();
        window.top.close();
        return;
    }

    for(i=0;i<rlen;i++){
        if(radios[i].checked){
            wp.document.frm.sgp.value = radios[i].value;
            uri += '&sgp=' + radios[i].value;
            wp.HTML_AJAX.replace('selectlist', uri);
            wp.focus();
            window.top.close();
            return;
        }
    }
    alert("グループを選択してください。");
}

/**
 * ユーザー選択・ユーザーの検索
 *
 */
function SearchUserList(index, keyword, sgp) {

    var append_uri = '';
    append_uri += '&s_keyword=' + encodeURI(keyword);
    append_uri += '&sgp=' + sgp

    var amp = '&';

    if(index.indexOf('?') == -1) {
        amp = '?';
    }

    // 一覧の取得
    uri = index+amp+'module=Default&action=UserSelect'+append_uri;
    HTML_AJAX.replace('selectlist', uri);
}

/**
 * ユーザー選択・ユーザーの検索
 * (ブログ管理者選択
 *
 */
function SearchBlogAdminList(index, keyword, sgp) {

    var append_uri = '';
    append_uri += '&s_keyword=' + encodeURI(keyword);
    append_uri += '&sgp=' + sgp

    var amp = '&';

    if(index.indexOf('?') == -1) {
        amp = '?';
    }

    // 一覧の取得
    uri = index+amp+'module=Default&action=BlogAdminSelect'+append_uri;
    HTML_AJAX.replace('selectlist', uri);
}

/**
 * ユーザー選択・ユーザー一覧の表示
 *
 */
function DispUserList(index, sgp, p) {

    var append_uri = '';
    if( sgp != '' ){
        append_uri += '&sgp=' + sgp;
    }
    if( p != '' ){
        append_uri += '&p=' + p;
    }

    var amp = '&';

    if(index.indexOf('?') == -1) {
        amp = '?';
    }

    // 一覧の取得
    uri = index+amp+'module=Default&action=UserSelect'+append_uri;
    HTML_AJAX.replace('selectlist', uri);

    return true;
}

/**
 * ユーザー選択・ユーザー一覧の表示
 * ブログ管理者選択
 *
 */
function DispBlogAdminList(index, sgp, p) {

    var append_uri = '';
    if( sgp != '' ){
        append_uri += '&sgp=' + sgp;
    }
    if( p != '' ){
        append_uri += '&p=' + p;
    }

    var amp = '&';

    if(index.indexOf('?') == -1) {
        amp = '?';
    }

    // 一覧の取得
    uri = index+amp+'module=Default&action=BlogAdminSelect'+append_uri;
    HTML_AJAX.replace('selectlist', uri);

    return true;
}


/**
 * ユーザー選択・選択済みユーザーの削除
 *
 */
function SelectedUserDelete(form) {
    var uid = '';

    //[ 選択なし ]
    if(! isSelect(form, 'd_uid')) {
        alert('選択済みユーザーが選択されていません。選択済みユーザーを選択してください。');
        return false;
    }

    // 親画面にパラメータ追加
    var celm  = document.createElement('input');
    celm.type = 'hidden';
    celm.name = 'del_flg';
    celm.value = '1'
    var elmnt = document.getElementById("selectedlist");
    elmnt.appendChild(celm);

    form.action.value= 'UserListSelected';
    HTML_AJAX.formSubmit(form, "selectedlist");

    form.action.value= 'UserSelect';
    return true;
}

/**
 * ユーザー選択画面(複数選択可)の表示
 *
 */
function UserSelectOpenMulti(form, index){
    var i;
    var len = 0;
    var uid = '';

    if( form == null ){
        alert("選択情報の取得に失敗しました。\n画面の再読込を行っても状況が変わらない場合、管理者にお問い合わせください。");
        return;
    }

    var amp = '&';

    if(index.indexOf('?') == -1) {
        amp = '?';
    }

    us_uri = index + amp + 'module=Default&action=UserSelect' + '&fr=1';

    newWin = window.open( us_uri,
                          'UserSelectMulti',
                          'width=550,height=600,location=0,resizable=yes,scrollbars=yes,status=yes,left=30,top=30');
    newWin.focus();
    return;
}

/**
 * チェックボックスの選択状態を確認
 *
 */
function isSelect(objform, txt_prefix)
{
    //[ フォームの各項目について繰り返し ]
    for (var i_cnt=0; i_cnt < objform.elements.length; i_cnt++) {
        // ある接頭辞をもつcheckboxのみ設定する。
        if (objform.elements[i_cnt].type =='checkbox' && 
            objform.elements[i_cnt].name.indexOf(txt_prefix) == 0 && 
            objform.elements[i_cnt].checked == true) {
            return true;
        }
    }
    return false;
}


/**
 * チェックボックスの選択数を取得
 *
 */
function getSelectedCount(objform, txt_prefix)
{
    var count = 0;
    //[ フォームの各項目について繰り返し ]
    for (var i_cnt=0; i_cnt < objform.elements.length; i_cnt++) {
        // ある接頭辞をもつcheckboxのみ
        if (objform.elements[i_cnt].type =='checkbox' && 
            objform.elements[i_cnt].name.indexOf(txt_prefix) == 0 && 
            objform.elements[i_cnt].checked == true) {
            count++;
        }
    }
    return count;
}

/**
 * ラジオボタンの選択状態を確認
 *
 */
function isChoice(objform, txt_prefix)
{
    //[ フォームの各項目について繰り返し ]
    for (var i_cnt=0; i_cnt < objform.elements.length; i_cnt++) {
        // ある接頭辞をもつcheckboxのみ設定する。
        if (objform.elements[i_cnt].type =='radio' && 
            objform.elements[i_cnt].name.indexOf(txt_prefix) == 0 && 
            objform.elements[i_cnt].checked == true) {
            return true;
        }
    }
    return false;
}



/**
 * ユーザー選択画面(1ユーザーのみ)の表示
 *
 */
function UserSelectOpen(form, index){
    var i;
    var len = 0;
    var uid = '';

    if( form == null ){
        alert("選択情報の取得に失敗しました。\n画面の再読込を行っても状況が変わらない場合、管理者にお問い合わせください。");
        return;
    }

    var amp = '&';

    if(index.indexOf('?') == -1) {
        amp = '?';
    }

    us_uri = index + amp + 'module=Default&action=UserSelect' + '&fr=1&s=1';

    newWin = window.open( us_uri,
                          'UserSelect',
                          'width=550,height=600,location=0,resizable=yes,scrollbars=yes,status=yes,left=30,top=30');
    newWin.focus();
    return;
}


/**
 * ユーザー選択画面(ブログ管理者選択)の表示
 *
 */
function BlogAdminSelectOpen(form, index){
    var i;
    var len = 0;
    var uid = '';

    if( form == null ){
        alert("選択情報の取得に失敗しました。\n画面の再読込を行っても状況が変わらない場合、管理者にお問い合わせください。");
        return;
    }

    var amp = '&';

    if(index.indexOf('?') == -1) {
        amp = '?';
    }

    us_uri = index + amp + 'module=Default&action=BlogAdminSelect' + '&fr=1&s=1';

    newWin = window.open( us_uri,
                          'BlogAdminSelect',
                          'width=550,height=600,location=0,resizable=yes,scrollbars=yes,status=yes,left=30,top=30');
    newWin.focus();
    return;
}
