(function() {
	tinymce.create('tinymce.plugins.NeoEmojiPlugin', {
		init : function(ed, url) {
			// Register commands

			ed.addCommand('mceNeoEmoji', function() {
				ed.windowManager.open({
					file : url + '/neoemoji.html',
					width : 260 + parseInt(ed.getLang('neoemoji.delta_width', 0)),
					height : 300 + parseInt(ed.getLang('neoemoji.delta_height', 0)),
					inline : 1
				}, {
					plugin_url : url
				});
			});

			// Register buttons
			ed.addButton('neoemoji', {
                title : 'neoemoji.emoji_desc',
                cmd : 'mceNeoEmoji'
            });
		},

		getInfo : function() {
			return {
				longname : 'NeoEmoji plugin',
				author : 'NEOJAPAN,Inc.',
				authorurl : 'http://www.neo.co.jp/',
				infourl : '',
				version : "1.0"
			};
		}
	});

	// Register plugin
	tinymce.PluginManager.add('neoemoji', tinymce.plugins.NeoEmojiPlugin);
})();