(function() {

	tinymce.create('tinymce.plugins.NeoKeywordPlugin', {
		init : function(ed, url) {
			ed.addCommand('mceNeoKeyword', function() {
				ed.windowManager.open({
					file : url + '/neokeyword.html',
					width : 350 + ed.getLang('neokeyword.delta_width', 0),
					height : 200 + ed.getLang('neokeyword.delta_height', 0),
					inline : 1
				}, {
					plugin_url : url
				});
			});

			ed.addButton('neokeyword', {
				title : 'neokeyword.keyword_desc',
				cmd : 'mceNeoKeyword'
			});
		},

		getInfo : function() {
			return {
				longname : 'NeoKeyword plugin',
				author : 'NEOJAPAN,Inc.',
				authorurl : 'http://www.neo.co.jp/',
				infourl : '',
				version : "1.0"
			};
		}
	});

	tinymce.PluginManager.add('neokeyword', tinymce.plugins.NeoKeywordPlugin);
})();